2017-11-10 11:49:10 +0200 Oleksiy Chernyavskyy 

	* Fixed bug 1665 (HEAD, origin/master, origin/HEAD, master)

2017-10-30 23:04:15 +0200 Oleksiy Chernyavskyy 

	* Fixed bug 1651

2017-10-30 22:22:31 +0200 Oleksiy Chernyavskyy 

	* Fixed bug 1650

2017-10-30 21:47:21 +0200 Oleksiy Chernyavskyy 

	* Fixed bug 1652

2017-08-31 06:28:27 +0300 Oleksiy Chernyavskyy 

	* Fixed bug 1655

2017-08-28 05:33:53 +0300 Oleksiy Chernyavskyy 

	* Fixed bug 1625

2017-08-26 06:12:14 +0300 Oleksiy Chernyavskyy 

	* Fixed bug 1656

2017-08-23 04:10:55 +0300 Oleksiy Chernyavskyy 

	* Fixed bug 1658

2017-08-22 06:05:00 +0300 Oleksiy Chernyavskyy 

	* Fixed bug 1659

2017-08-22 03:27:36 +0300 Oleksiy Chernyavskyy 

	* Fixed bug 1660

2017-03-28 01:40:33 +0300 Oleksiy Chernyavskyy 

	* updated version and release data

2017-03-28 01:32:30 +0300 Oleksiy Chernyavskyy 

	* removed redundant includes

2017-03-28 01:11:59 +0300 Oleksiy Chernyavskyy 

	* removed bugfix 1565. See details on http://bugs.motifzone.net/show_bug.cgi?id=1565

2016-11-09 07:19:53 +0200 Alex 

	* obsolete malloc.h changed on stdlib.h

2016-06-11 05:03:21 +0300 Oleksiy Chernyavskyy 

	* updated ChangeLog

2016-06-11 05:02:55 +0300 Oleksiy Chernyavskyy 

	* updated release 2.3.6 information

2016-06-11 04:57:54 +0300 Oleksiy Chernyavskyy 

	* fixid parallel building (make -j) error

2016-06-11 04:57:20 +0300 Oleksiy Chernyavskyy 

	* removed automatic configure start from autogen.sh

2016-06-11 04:26:48 +0300 Oleksiy Chernyavskyy 

	* minor fix

2016-06-11 04:21:53 +0300 Oleksiy Chernyavskyy 

	* removed extra dist Imakefile from all Makefile.am files

2016-06-11 04:06:37 +0300 Oleksiy Chernyavskyy 

	* Purified copyright headers (Motif is LGPL covered). Removed many Imakefile's and Imake-related stuff

2016-06-10 23:40:43 +0300 Oleksiy Chernyavskyy 

	* updated release notes and version 2.3.5 -> 2.3.6

2016-06-10 23:27:56 +0300 Oleksiy Chernyavskyy 

	* updated ChangeLog

2016-06-10 23:15:00 +0300 Oleksiy Chernyavskyy 

	* bug 1654 fix

2016-06-10 21:58:16 +0300 Oleksiy Chernyavskyy 

	* old patches. need review

2016-03-29 03:48:59 +0300 Oleksiy Chernyavskyy 

	* removed obsolete files

2016-03-17 04:23:17 +0200 Oleksiy Chernyavskyy 

	* release 2.3.5 (tag: release_2_3_5)

2016-03-16 23:07:12 +0200 Oleksiy Chernyavskyy 

	* updated ChangeLog

2016-03-16 23:06:24 +0200 Oleksiy Chernyavskyy 

	* added mkchangelog script for automated generation of the ChangeLog

2016-03-16 00:46:49 +0200 Oleksiy Chernyavskyy 

	* Reimplemented bugfix 1565

2016-02-26 03:36:51 +0200 Oleksiy Chernyavskyy 

	* Updated RPM creation instructions

2014-08-20 15:45:41 +0300 Oleksiy Chernyavskyy 

	* fixed bug 1636

2013-08-21 11:49:00 +0300 Mykola Vshyvkov 

	* Fixed bug #1612 (Label size computed wrong within a Form).

2013-07-11 18:14:32 +0300 Mykola Vshyvkov 

	* Fixed bug #1618 (Eliminates 29 warnings of some type in modules from "demos" catalog).

2013-07-11 15:20:54 +0300 Mykola Vshyvkov 

	* Fixed bug #1616 (Eliminates 23 warnings "suggest parentheses around assignment used" in modules from "demos" catalog).

2013-07-11 15:01:50 +0300 Mykola Vshyvkov 

	* Fixed bug #1617 (Eliminates 23 warnings "cast to pointer from integer of different size" in modules from "demos" catalog).

2013-07-11 12:35:30 +0300 Mykola Vshyvkov 

	* Fixed bug #1615 (Eliminates 35 warnings "enumeration value XXX not handled" in modules from "demos" catalog).

2013-07-10 06:55:14 +0300 Mykola Vshyvkov 

	* Fixed bug #1614 (Eliminates 36 warnings "variable may be used uninitialized" in modules from "demos" catalog).

2013-07-10 05:05:28 +0300 Mykola Vshyvkov 

	* Fixed bug #1613 (Eliminates 60 warnings "implicit declaration of function" in modules from "demos" catalog).

2013-07-04 14:08:09 +0300 Mykola Vshyvkov 

	* Fixed bug #1611 (Was been replaced  depecated code with using XKeycodeToKeysym Xlib function calls in modules of "clients" catalog).

2013-07-03 21:27:32 +0300 Mykola Vshyvkov 

	* Fixed bug #1610 (Eliminates 15 warnings of some types in modules of "clients" catalog).

2013-07-03 18:52:21 +0300 Mykola Vshyvkov 

	* Fixed bug #1609 (Eliminates 18 warnings  of "incompatible implicit declaration" in modules of "clients" catalog).

2013-07-03 14:58:22 +0300 Mykola Vshyvkov 

	* Fixed bug #1608 (Eliminates 30 warnings  of "array subscript has type 'char'" in modules of "clients" catalog).

2013-07-03 14:35:04 +0300 Mykola Vshyvkov 

	* Fixed bug #1607 (Eliminates 92 warnings  of "variable may be used uninitialized" in modules of "clients" catalog).

2013-07-03 12:48:55 +0300 Mykola Vshyvkov 

	* Fixed bug #1606 (Eliminates 130 warnings  of "expects argument of type" in modules of "clients" catalog).

2013-07-02 13:40:37 +0300 Mykola Vshyvkov 

	* Fix of Bug #1604 fix.

2013-07-01 20:52:37 +0300 Mykola Vshyvkov 

	* Fix of Bug #1604 fix.

2013-07-01 19:07:32 +0300 Mykola Vshyvkov 

	* Fixed bug #1604 (Was been replaced  depecated code with using XKeycodeToKeysym Xlib function calls).

2013-07-01 19:02:25 +0300 Mykola Vshyvkov 

	* Fixed bug #1605 (Eliminates 14 warnings of some types in WML tool).

2013-06-26 23:45:14 +0300 Mykola Vshyvkov 

	* Fixed bug #1603 (Eliminates 18 warnings of some types in some modules).

2013-06-26 19:21:20 +0300 Mykola Vshyvkov 

	* Fixed bug #1602 (Eliminates 6 warnings "implicit declaration of function" in some modules).

2013-06-26 18:36:47 +0300 Mykola Vshyvkov 

	* Fixed bug #1601 (Eliminates 6 warnings: "suggest explicit braces to avoid ambiguous" in some modules).

2013-06-26 17:40:00 +0300 Mykola Vshyvkov 

	* Fixed bug #1600 (Eliminates 26 warnings about using uninitialized variables in some modules).

2013-06-26 15:34:53 +0300 Mykola Vshyvkov 

	* Fixed bug #1599 (Eliminates 14 warnings of incompatible type argument from some modules).

2013-06-25 17:37:02 +0300 Mykola Vshyvkov 

	* Updated ChangeLog.

2013-06-25 13:57:31 +0300 Mykola Vshyvkov 

	* Merge branch 'openmotif_2_3' of ssh://git.code.sf.net/p/motif/code into openmotif_2_3

2013-06-25 12:55:13 +0300 Nikolay Vs 

	* Fixed bug #1595. (Patched Configure.ac). Patch by Ulrich Muller.

2013-06-25 12:55:13 +0300 Nikolay Vs 

	* Added FIX #1595. Thanks to Ulrich Muller

2013-03-29 17:37:29 +0200 Yuriy Syrota 

	* Fixed bug #1593 (Missing fontconfig lib in linking, due to outdated test in ac_find_xft.m4). Patch by Ulrich Müller.

2013-03-28 17:48:58 +0200 Yuriy Syrota 

	* Fixed bug #1594 (configure: typo in warning "No splint is dound"). Thanks to Ulrich Müller.

2012-10-31 15:59:57 +0200 Yuriy Syrota 

	* Fixed bug #1581 (Buffer overrun in FontS.c)

2012-10-22 15:45:31 +0300 Yuriy Syrota 

	* Updated link to documentation (tag: release_2_3_4)

2012-10-16 16:47:45 +0300 Yuriy Syrota 

	* Updated Release Notes

2012-10-04 16:53:22 +0300 Yuriy Syrota 

	* Fixed library dependencies

2012-09-25 17:41:25 +0300 Yuriy Syrota 

	* Updated Release Notes

2012-09-25 17:25:44 +0300 Yuriy Syrota 

	* Fixed bug #1565 (The active window changes to inactive when the drop down list is clicked)

2012-09-25 11:52:05 +0300 Yuriy Syrota 

	* Fixed issues with non-XFT build

2012-09-17 12:05:57 +0300 Yuriy Syrota 

	* Removed extra token at end of #endif directive

2012-09-14 18:21:39 +0300 Yuriy Syrota 

	* Fixed dist build configuration

2012-09-12 15:35:27 +0300 Yuriy Syrota 

	* Updated references to Motif 2.3.4

2012-09-12 14:24:57 +0300 Yuriy Syrota 

	* Updated references to Motif 2.3.4

2012-09-12 09:14:04 +0300 Yuriy Syrota 

	* Removed unnecessary files

2012-09-12 08:55:58 +0300 Yuriy Syrota 

	* Fixed bug #1300 (Keypad arrows don't work)

2012-08-31 17:59:21 +0300 Yuriy Syrota 

	* Fixed bug #1264 (crash in PutDSToStream due to bug in _XmResizeHashTable)

2012-08-31 17:47:17 +0300 Yuriy Syrota 

	* Removed fix for bug #1264

2012-08-31 17:44:57 +0300 Yuriy Syrota 

	* Fixed bug #1196 (Free memory read in XmIm.c/draw_separator(), line 2329)

2012-08-31 17:44:27 +0300 Yuriy Syrota 

	* Removed fix for bug #1196

2012-08-31 17:28:44 +0300 Yuriy Syrota 

	* Fixed bug #1193 (MWM crashes when restarting by a session manager)

2012-08-31 15:46:39 +0300 Yuriy Syrota 

	* Removed fix for bug #1193

2012-08-31 11:22:08 +0300 Yuriy Syrota 

	* Fixed bug #1252 (XmCreateDropDownList doesn't work when XLC_LOCALE has on_demand_loading property)

2012-08-31 10:56:27 +0300 Yuriy Syrota 

	* Removed fix for bug #1252

2012-08-30 18:04:17 +0300 Yuriy Syrota 

	* Fixed bug #1181 (Linux Motif binaries do not work with Solaris/Xsun Xserver)

2012-08-30 16:54:11 +0300 Yuriy Syrota 

	* Removed fix for bug #1181

2012-08-29 19:45:11 +0300 Yuriy Syrota 

	* Fixed bug #1179 (configure.ac (06/18 CVS) duplicate Makefile targets fix for autoconf 2.53+)

2012-08-29 19:44:43 +0300 Yuriy Syrota 

	* Removed fix for bug #1179

2012-08-29 19:34:02 +0300 Yuriy Syrota 

	* Fixed  bug #1170 (XmCombinationbox2 does not havent desensitization/sensitization)

2012-08-29 19:27:53 +0300 Yuriy Syrota 

	* Removed fix for bug #1170

2012-08-29 18:41:05 +0300 Yuriy Syrota 

	* Fixed bug #1127 (cannot load Java TextEditor3)

2012-08-29 18:15:55 +0300 Yuriy Syrota 

	* Removed fix for bug #1127

2012-08-27 11:33:50 +0300 Yuriy Syrota 

	* Removed fix for bug #1166

2012-08-27 09:38:18 +0300 Yuriy Syrota 

	* Fixed bug #1152 (64-bit int/long botch in XmRenderT.c)

2012-08-23 17:58:21 +0300 Yuriy Syrota 

	* Removed fix for bug #1152

2012-08-23 15:43:03 +0300 Yuriy Syrota 

	* Fixed bug #1141 (mwm crashes when attempting to delete a menu item)

2012-08-23 12:38:29 +0300 Yuriy Syrota 

	* Removed fix for bug #1141

2012-08-22 19:05:16 +0300 Yuriy Syrota 

	* Fixed bug #1129 (XmIm causes Segmentation Fault after some widgets are disposed)

2012-08-22 18:44:57 +0300 Yuriy Syrota 

	* Added checking for XICProc type defined

2012-08-21 18:14:26 +0300 Yuriy Syrota 

	* Removed fix for bug report #1129

2012-08-21 18:13:32 +0300 Yuriy Syrota 

	* Fixed a typo in TextOutI.h

2012-08-21 17:58:00 +0300 Yuriy Syrota 

	* Fixed bug bug #1147 (XmText doesn't updates scrollbars if parent is not XmScrolledWindow)

2012-08-21 17:31:19 +0300 Yuriy Syrota 

	* Removed fix for bug report #1147

2012-07-06 17:51:55 +0300 Yuriy Syrota 

	* Changelog updated

2012-07-06 17:51:34 +0300 Yuriy Syrota 

	* Updated for release 2.3.4

2012-07-06 17:49:54 +0300 Yuriy Syrota 

	* Refixed bug #1521 (LabelGadget draws the text over border of its parent)

2012-07-06 17:48:03 +0300 Yuriy Syrota 

	* Added missing include

2012-07-06 17:46:52 +0300 Yuriy Syrota 

	* Fixed bug #1496 (Version 2.3.2 won't compile if configured enable-message-catalog)

2012-07-06 17:42:09 +0300 Yuriy Syrota 

	* Dropped fix #1359 (File dialog filter problem with * or [ in directory)

2012-07-06 17:40:10 +0300 Yuriy Syrota 

	* Fixed bug #1530 (SimpleSpinBox doesn't return correct values for child on some platforms)

2012-07-06 17:38:24 +0300 Yuriy Syrota 

	* Fixed bug #1272 (Application goes into infinite loop in TraversalI.c:Sort())

2012-07-06 17:36:07 +0300 Yuriy Syrota 

	* Fixed bug #1529 (Copy/paste problem with Clipboard)

2012-07-06 17:35:02 +0300 Yuriy Syrota 

	* Fixed bug #1536 (Performance issue: XmListSetPos() is very very slow)

2012-07-06 17:32:26 +0300 Yuriy Syrota 

	* Fixed bug #1501 (XmText widget sensitive/unsensitive is visibly same at startup)

2012-07-06 17:31:13 +0300 Yuriy Syrota 

	* Refixed bug #1381 (Sensitivity invisible with antialiased fonts)

2012-07-06 17:29:50 +0300 Yuriy Syrota 

	* Fixed bug #1510 (Input methods do not work with XFT fonts)

2012-07-06 17:27:40 +0300 Yuriy Syrota 

	* Fixed bug #1500 (XmPushButton with grayscale pixmap is not changed visibly when it's sensitivity is changed)

2012-07-06 17:27:19 +0300 Yuriy Syrota 

	* Fixed bug #1540 (XpmCreateBufferFromPixmap function doesn't work properly)

2012-07-06 17:25:46 +0300 Yuriy Syrota 

	* Fixed bug #1505 (Some problems with new insensitive code for label pixmaps)

2012-07-06 17:24:46 +0300 Yuriy Syrota 

	* Fixed bug #1534 (im_widget double-free issue)

2012-07-06 17:23:06 +0300 Yuriy Syrota 

	* Fixed bug #1535 (Destroying a torn-off menu with a submenu mapped causes a crash)

2012-07-06 17:21:20 +0300 Yuriy Syrota 

	* Fixed bug #1532 (Incorrect handling of clip areas for a string (XmString.c))

2012-07-06 17:19:06 +0300 Yuriy Syrota 

	* Fixed bug #1531 (Using DataField widget with XFT font causes an X Error)

2012-07-06 17:17:22 +0300 Yuriy Syrota 

	* Fixed bug #1519 (XmSpinBoxValidatePosition does not properly check XmNincrementValue)

2012-07-06 17:15:47 +0300 Yuriy Syrota 

	* Added missing #ifdef USE_XFT directive to the patch #1521

2012-07-06 17:14:09 +0300 Yuriy Syrota 

	* Fixed bug #1488 (XmStringDraw clip not honored)

2012-07-06 17:12:33 +0300 Yuriy Syrota 

	* Fixed bug #1479 (Compiling libUil fails on mac OS X 10.5)

2012-07-06 17:11:22 +0300 Yuriy Syrota 

	* Fixed bug #1528 (Scale widget has some Geometry issues)

2012-07-06 17:09:28 +0300 Yuriy Syrota 

	* Fixed bug #1518 (gcc check in configure script does not use )

2012-07-06 17:05:37 +0300 Yuriy Syrota 

	* Fixed misspellings in the manpage.

2012-07-06 17:03:02 +0300 Yuriy Syrota 

	* Fixed bug #1504 (Changing sensitivity on a PushButton with Pixmap causes recomputeSize)

2012-07-06 17:01:28 +0300 Yuriy Syrota 

	* Fixed bug #1516 (Can receive X error setting pixmaps to XmUNSPECIFIED_PIXMAP on PushButton)

2012-07-06 16:56:29 +0300 Yuriy Syrota 

	* Fixed typo in ChangeLog

2012-07-06 16:55:25 +0300 Yuriy Syrota 

	* Fixed bug #1503 (XmNtabBackground resource is not working properly in XmTabStack widget)

2012-07-06 16:45:00 +0300 Yuriy Syrota 

	* Fixed bug #1512 (Small configure portability fix)

2012-07-06 16:42:37 +0300 Yuriy Syrota 

	* Fixed bug #1523 (Check a return value of XmCvtXmStringToCT before use in strlen)

2012-07-06 15:57:19 +0300 Yuriy Syrota 

	* Refixed bug #1473 (When we set XmNvisibleItemCount resource available in XmComboBox, the widget displays the wrong number of items)

2012-07-06 15:45:52 +0300 Yuriy Syrota 

	* Refixed bug #1517 (LabelGadget draws over parent window with the background color)

2012-07-06 15:44:16 +0300 Yuriy Syrota 

	* Fixed bug #1521 (LabelGadget draws the text over border of its parent)

2012-07-06 15:41:44 +0300 Yuriy Syrota 

	* Fixed in order to provide compability with libpng14, backwards compatible with libpng12

2012-07-06 15:40:33 +0300 Yuriy Syrota 

	* Fixed dependencies in order to allow build with "make -j"

2012-07-06 15:36:32 +0300 Yuriy Syrota 

	* Fixed bug #1509

2012-07-06 15:23:14 +0300 Yuriy Syrota 

	* Fixed bug #1517

2012-07-06 15:19:20 +0300 Yuriy Syrota 

	* Updated for release 2.3.3

2012-07-06 15:16:15 +0300 Yuriy Syrota 

	* Fixed bug #1507 (LDFLAGS not respected for building libXm and libMrm libraries)

2012-07-06 15:15:10 +0300 Yuriy Syrota 

	* Dropped fix #1511

2012-07-06 14:47:52 +0300 Yuriy Syrota 

	* Fixed bug #1511 (CheckBook program from EditTable samples crashes with OpenMotif since 2.3.0 release.)

2012-07-06 14:35:09 +0300 Yuriy Syrota 

	* Fixed bug #1495 (mwm's icon box has graphics corruption)

2012-07-05 22:14:48 +0300 Yuriy Syrota 

	* Removed junk

2012-07-05 22:13:15 +0300 Yuriy Syrota 

	* Fixed in order to provide PRINTING_SUPPORTED and USE_XFT macro definitions in Xm.h

2012-07-05 22:11:22 +0300 Yuriy Syrota 

	* Fixed in order to allow build without libXp

2012-07-05 22:09:26 +0300 Yuriy Syrota 

	* Refixed bug #1474 (Incrementation of XmNvisibleItemCount value does not work properly in XmComboBox)

2012-07-05 22:07:05 +0300 Yuriy Syrota 

	* Refixed bug #1321 (Pasting into XmTextField is unreliable)

2012-07-05 21:59:41 +0300 Yuriy Syrota 

	* Fixed bug #1502 (crash in ToolTipGetData())

2012-07-05 21:57:49 +0300 Yuriy Syrota 

	* Removed xmPanedWindowWidgetClass definition

2012-07-05 21:55:21 +0300 Yuriy Syrota 

	* Fixed bug #1474 (Incrementation of XmNvisibleItemCount value does not work properly in XmComboBox)

2012-07-05 16:59:16 +0300 Yuriy Syrota 

	* Added #include <X11/keysym.h> (tag: release_2_3_3)

2012-07-05 16:55:00 +0300 Yuriy Syrota 

	* Updated for release 2.3.3

2012-07-05 16:47:58 +0300 Yuriy Syrota 

	* Dropped fix #1476 (PanedWindow orientation error)

2012-07-05 16:36:25 +0300 Yuriy Syrota 

	* Moved FromColorToBlackAndWhite() and ConvertToBW() routines from Label.c, LabelG.c to Color.c

2012-07-05 16:35:25 +0300 Yuriy Syrota 

	* Fixed bug #1195 (Making on FreeBSD with non GNU make)

2012-07-05 16:07:32 +0300 Yuriy Syrota 

	* Refixed bug #1449 (Uninitalised memory access with XFT fonts)

2012-07-05 12:20:13 +0300 Yuriy Syrota 

	* Refixed bug #1388 (SEGV error moving mouse over window related to XmToolTipGetLabel)

2012-07-05 12:07:09 +0300 Yuriy Syrota 

	* Fixed warning: implicit declaration of function '_XmPopupSpringLoaded

2012-07-05 12:04:40 +0300 Yuriy Syrota 

	* Added missing XmStrDefs*.ht files to EXTRA_SRCS

2012-07-05 11:54:02 +0300 Yuriy Syrota 

	* Updated change log for release 2.3.3

2012-07-05 11:38:24 +0300 Yuriy Syrota 

	* Updated release notes

2012-07-05 11:33:13 +0300 Yuriy Syrota 

	* Updated for release 2.3.3

2012-07-05 11:32:54 +0300 Yuriy Syrota 

	* Updates release notes

2012-07-05 11:32:23 +0300 Yuriy Syrota 

	* Updated OpenMotif version

2012-07-05 11:26:24 +0300 Yuriy Syrota 

	* Fixed bug #1489 (Paned.h is not included by XmAll.h)

2012-07-05 11:19:11 +0300 Yuriy Syrota 

	* Fixed bug #1486 (Tooltip in DropDown widget makes X hang up)

2012-07-05 11:17:19 +0300 Yuriy Syrota 

	* Reixed bug #1376 (PanedWindow orientation error)

2012-07-05 10:31:09 +0300 Yuriy Syrota 

	* Fixed bug #1320 (Resizing a scrolled text widget can be very, very slow)

2012-07-05 10:29:56 +0300 Yuriy Syrota 

	* Fixed bug #1449 (Uninitalised memory access with XFT fonts)

2012-07-05 10:26:24 +0300 Yuriy Syrota 

	* Fixed bug #1418 (Add file with instructions how to build from CVS)

2012-07-05 10:15:44 +0300 Yuriy Syrota 

	* Moved define FIX_1381 from XmI.h to XmP.h

2012-07-05 10:07:30 +0300 Yuriy Syrota 

	* Refixed bug #1381 (Sensitivity invisible with antialiased fonts)

2012-07-05 09:47:27 +0300 Yuriy Syrota 

	* Fixed bug #1484 (Warning on XmRlabelType when I put a pixmap and a value top on XmNPixmapPlacement)

2012-07-05 09:30:05 +0300 Yuriy Syrota 

	* Fixed bug #1426 (Make location of system.mwmrc configurable)

2012-07-04 18:37:54 +0300 Yuriy Syrota 

	* Fixed bug #1451 (XmStringDrawImage works incorrectly with XFT)

2012-07-04 18:28:12 +0300 Yuriy Syrota 

	* Fixed bug #1453 (MultiList not displayed properly)

2012-07-04 18:07:11 +0300 Yuriy Syrota 

	* Fixed bug #1412 (An insensitive popup menu parent lead to a display-freezing)

2012-07-04 17:41:07 +0300 Yuriy Syrota 

	* Fixed bug #345 (Openmotif accelerators XmNaccelerator do not work with CapsLock/ScrollLock/NumLock modifiers)

2012-07-04 17:35:33 +0300 Yuriy Syrota 

	* cleanup

2012-07-04 17:32:25 +0300 Yuriy Syrota 

	* Added splint checking and splint target

2012-07-04 17:25:47 +0300 Yuriy Syrota 

	* Refixed bug #1476 (PanedWindow orientation error)

2012-07-04 17:23:16 +0300 Yuriy Syrota 

	* Fixed bug #1299 (XmForm erroneously finds "Circular dependency" if widgets are inter-attachmed in vertical/horizontal directions)

2012-07-04 14:53:06 +0300 Yuriy Syrota 

	* Updated distros list (tag: release_2_3_2)

2012-07-04 14:52:48 +0300 Yuriy Syrota 

	* Updated distros list

2012-07-04 14:50:34 +0300 Yuriy Syrota 

	* Updated for openmotif 2.3.2

2012-07-04 14:50:04 +0300 Yuriy Syrota 

	* Dropped fix for the bug #1299 (XmForm erroneously finds "Circular dependency" if widgets are inter-attachmed in vertical/horizontal directions)

2012-07-04 14:22:38 +0300 Yuriy Syrota 

	* Fixed some typo in RELNOTES

2012-07-04 14:21:37 +0300 Yuriy Syrota 

	* Updated for OpenMotif 2.3.2

2012-07-04 11:11:40 +0300 Yuriy Syrota 

	* Updated OpenMotif version

2012-07-04 10:19:46 +0300 Yuriy Syrota 

	* Added missing 'O' character to UTF8_SUPPORTED macro

2012-07-04 10:06:46 +0300 Yuriy Syrota 

	* Refixed bug #1299 (XmForm erroneously finds "Circular dependency" if widgets are inter-attachmed in vertical/horizontal directions)

2012-07-04 10:03:46 +0300 Yuriy Syrota 

	* Fixed bug #1476 (PanedWindow orientation error)

2012-07-03 18:31:49 +0300 Yuriy Syrota 

	* Fixed bug #1299 (XmForm erroneously finds "Circular dependency" if widgets are inter-attachmed in vertical/horizontal directions)

2012-07-03 18:18:05 +0300 Yuriy Syrota 

	* Fixed bug #1277 (paned widget does not work under Fedora Core 2 with openmotif 2.2.3-4.1)

2012-07-03 18:17:42 +0300 Yuriy Syrota 

	* Added ifdef/endif directives arround fix #1473

2012-07-03 18:08:32 +0300 Yuriy Syrota 

	* Fixed bug #1212 (XmDropSiteRetrieve frees XRectangles before caller can use them)

2012-07-03 18:04:20 +0300 Yuriy Syrota 

	* Fixed bug #1473 (When we set XmNvisibleItemCount resource available in >XmComboBox, the widget displays the wrong number of items)

2012-07-03 17:30:07 +0300 Yuriy Syrota 

	* Fixed in order to allow build out of source tree

2012-07-03 16:58:02 +0300 Yuriy Syrota 

	* Added wml_DEPENDENCIES

2012-07-03 16:57:35 +0300 Yuriy Syrota 

	* Added ACLOCAL_AMFLAGS

2012-07-03 15:40:27 +0300 Yuriy Syrota 

	* Updated for Open Motif 2.3.1 (tag: release_2_3_1)

2012-07-03 15:34:31 +0300 Yuriy Syrota 

	* Fixed in order to put demos binaries in /share/Xm

2012-07-03 15:31:17 +0300 Yuriy Syrota 

	* Fixed bug #1423 (Build failure on FreeBSD: undefined reference to libiconv_open)

2012-07-03 15:26:49 +0300 Yuriy Syrota 

	* Fixed bug #1427 (_xrm '*.iconPixmap:SDtErrors.l' produces bogus error messages)

2012-07-03 15:22:54 +0300 Yuriy Syrota 

	* Refixed bug #1381 (Sensitivity invisible with antialiased fonts)

2012-07-03 15:20:59 +0300 Yuriy Syrota 

	* Fixed bug #1359 (File dialog filter problem with * or [ in directory)

2012-07-03 15:17:51 +0300 Yuriy Syrota 

	* Fixed bug #1446 (Arrow button in DropDown widget issue.)

2012-07-03 15:04:04 +0300 Yuriy Syrota 

	* Fixed bug #1328 (Desktop hang: motif application in XGrabPointer)

2012-07-03 14:47:49 +0300 Yuriy Syrota 

	* Fixed bug #1425 (Resetting entryParent causes crash)

2012-07-03 14:44:17 +0300 Yuriy Syrota 

	* Fixed bug #1439 (warnings during compilation in TabBox.c)

2012-07-03 14:40:43 +0300 Yuriy Syrota 

	* Fixed bug #1419 (Bindings of DataField defined in DataF.c instead of TranslNew.c)

2012-07-03 14:38:07 +0300 Yuriy Syrota 

	* Fixed bug #1419 (Bindings of DataField defined in DataF.c instead of TranslNew.c)

2012-07-03 14:31:41 +0300 Yuriy Syrota 

	* Fixed bug #1431 (openmotif 2.3 and xorg 7.1.0 64bit problems)

2012-07-03 14:30:07 +0300 Yuriy Syrota 

	* Fixed bug #1432 (XmContainer incorrect GC allocation)

2012-07-03 14:28:15 +0300 Yuriy Syrota 

	* Fixed bug #1250 (XmCombo glyph is unexpectedly shifted when setting XmNvisibleItemCount)

2012-07-03 14:22:36 +0300 Yuriy Syrota 

	* Fixed bug #1401 (Specifying state pixmaps in Container causes crash)

2012-07-03 14:19:31 +0300 Yuriy Syrota 

	* Fixed bug #1442 (Crash on Drag'n'Drop)

2012-07-03 14:19:15 +0300 Yuriy Syrota 

	* Fixed bug #1445 (PopupShell is closing  on MouseWheel)

2012-07-03 14:19:03 +0300 Yuriy Syrota 

	* Refixed bug #1371 (XmComboBox problem on FC6)

2012-07-03 14:12:36 +0300 Yuriy Syrota 

	* Fixed bug #1438 (Missing XSetErrorHandler call in XmXftDrawCreate)

2012-07-03 14:09:07 +0300 Yuriy Syrota 

	* Fixed bug #1444 (Function _XmXftDrawCreate() does not work correct with the pixmap)

2012-07-03 13:25:57 +0300 Yuriy Syrota 

	* Fixed bug #1434 (single character utf8 sting is not displayed)

2012-07-03 13:23:58 +0300 Yuriy Syrota 

	* Fixed bug #1442 (Crash on Drag'n'Drop)

2012-07-02 19:10:42 +0300 Yuriy Syrota 

	* Fixed bug #1436 (Definition of GetSameRenditions in XmRenderT.c needs USE_XFT conditional)

2012-07-02 19:05:26 +0300 Yuriy Syrota 

	* Fixed bug #1400 (Corrupted per-display font cache)

2012-07-02 19:02:35 +0300 Yuriy Syrota 

	* Fixed bug #1440 (Tags array size in Label widget is not enough)

2012-07-02 18:59:44 +0300 Yuriy Syrota 

	* Fixed bug #1429 (Build failure with libtool-2.2.4)

2012-07-02 18:07:56 +0300 Yuriy Syrota 

	* Updated RELNOTES, RELEASE, openmotif.spec, openmotif-f8.spec for Open Motif 2.3.1 beta 1 (tag: release_2_3_1_beta1)

2012-07-02 18:03:44 +0300 Yuriy Syrota 

	* Fixed RPM spec in order to put libXm.so in correct lib directory

2012-07-02 18:03:21 +0300 Yuriy Syrota 

	* Updated openmotif.spec, TODO for OpenMotif 2.3.1. Updated release date in RELEASE.

2012-07-02 18:02:59 +0300 Yuriy Syrota 

	* Updated release date in RELEASE

2012-07-02 18:02:37 +0300 Yuriy Syrota 

	* Added libXm.so to package spec

2012-07-02 18:02:15 +0300 Yuriy Syrota 

	* Updated libtool version number

2012-07-02 18:01:54 +0300 Yuriy Syrota 

	* Added libXm.so to package spec

2012-07-02 18:01:21 +0300 Yuriy Syrota 

	* openmotif-f8.spec : Specified --mandir in configure call

2012-07-02 17:59:34 +0300 Yuriy Syrota 

	* Added RPM spec file for Fedora 8 ans similar distros

2012-07-02 17:56:16 +0300 Yuriy Syrota 

	* Updated ChangeLog, RELNOTES and RELEASE

2012-07-02 17:46:55 +0300 Yuriy Syrota 

	* Refixed bug #1414 (compiler warnings and invalid memory read)

2012-07-02 17:43:48 +0300 Yuriy Syrota 

	* Fixed bud #1402 (Toggle button circular buttons can not mimic modern look)

2012-07-02 17:42:00 +0300 Yuriy Syrota 

	* Fixed bug #1415 (XFT width calculation problem)

2012-07-02 17:33:12 +0300 Yuriy Syrota 

	* Refix for bug #1395 (Wrong label foreground for etched in menus)

2012-07-02 17:19:37 +0300 Yuriy Syrota 

	* Fixed bug #1410 (setting XmNisHomogeneous to True without setting XmNentryClass causes segfault)

2012-07-02 17:15:26 +0300 Yuriy Syrota 

	* Fixed bug #1362 (Repeated calls to XmListReplaceItemsPos cause Error: Cannot perform malloc when using Extended_Select)

2012-07-02 17:09:29 +0300 Yuriy Syrota 

	* Fixed bug #1365 (Top pixel of German character I with top '^' leaves trails)

2012-07-02 17:05:05 +0300 Yuriy Syrota 

	* Refixed bug #1414 (XFT support slowness)

2012-07-02 17:03:09 +0300 Yuriy Syrota 

	* Fixed bug #1414 (XFT support slowness)

2012-07-02 17:00:09 +0300 Yuriy Syrota 

	* Fixed bug #1351 (Bad dynamic propagation of the sensitive state to popup menus)

2012-07-02 16:54:44 +0300 Yuriy Syrota 

	* Fixed bug #1409 (XmTextField sometimes crashes)

2012-07-02 16:52:08 +0300 Yuriy Syrota 

	* Fixed bug #1398 (newline not supported in UTF-8 mode)

2012-07-02 16:48:39 +0300 Yuriy Syrota 

	* Fixed bug #1406 (Insensitive icon on XmPushButton black instead of grayed out)

2012-07-02 16:45:44 +0300 Yuriy Syrota 

	* Fixed bug #1396 (ScrollBar warning when XmNotebook resized)

2012-07-02 16:40:27 +0300 Yuriy Syrota 

	* Refixed bug #1388 (SEGV error moving mouse over window related to XmToolTipGetLabel).

2012-07-02 16:37:12 +0300 Yuriy Syrota 

	* Fixed bug #1405 (Menus too short if PIXMAP_AND_STRING is used in PushButtons)

2012-07-02 16:35:26 +0300 Yuriy Syrota 

	* Fixed bug #1404 (PIXMAP_AND_STRING causes crash in XmPushButtton in OptionMenu)

2012-07-02 16:29:13 +0300 Yuriy Syrota 

	* Fixed incorrect parenthesis in if statement

2012-07-02 16:27:33 +0300 Yuriy Syrota 

	* Fixed bug #1371 (XmComboBox problem on FC6)

2012-07-02 16:24:15 +0300 Yuriy Syrota 

	* Fixed last comment in changelog

2012-07-02 16:22:38 +0300 Yuriy Syrota 

	* Fixed bug #1296 (Drag-and-drop behaves incorrectly if XtSetLanguageProc() is present)

2012-07-02 16:14:21 +0300 Yuriy Syrota 

	* Added /usr as possible prefix for toolkit installation

2012-07-02 16:13:44 +0300 Yuriy Syrota 

	* Fixed bug #1395 (Wrong label foreground for etched in menus)

2012-07-02 16:05:31 +0300 Yuriy Syrota 

	* Removed unnecessary configure.rh73

2012-07-02 16:04:32 +0300 Yuriy Syrota 

	* Updated OpenMotif version

2012-07-02 16:02:23 +0300 Yuriy Syrota 

	* Fixed bug #1392 (The label widgets can have their core class translations changed)

2012-07-02 15:56:31 +0300 Yuriy Syrota 

	* Fixed Bug #1375 (XmPushButton's ArmAndActivate() has incorrect callback call)

2012-07-02 15:53:38 +0300 Yuriy Syrota 

	* Fixed bug #1384 (Use of freed storage in XmContainer)

2012-07-02 15:45:39 +0300 Yuriy Syrota 

	* Fixed bug #1209 (XmTextPaste crashes using XmTextField)

2012-07-02 15:39:10 +0300 Yuriy Syrota 

	* Fixed bug #1367 (XmText autoShowCursorPosition is not always honoured when selected text is deleted)

2012-07-02 15:37:25 +0300 Yuriy Syrota 

	* Fixed bug #1140 (Functions do not check _XmGetWidgetExtData result)

2012-07-02 15:33:52 +0300 Yuriy Syrota 

	* Fixed bug #1383 (missing semi-colon at end of sentense)

2012-07-02 15:33:07 +0300 Yuriy Syrota 

	* Fixed bug #1390 (out of range in array read in ReplaceItem)

2012-07-02 15:24:19 +0300 Yuriy Syrota 

	* Fixed bug #1388 (SEGV error moving mouse over window related to XmToolTipGetLabel)

2012-07-02 15:23:47 +0300 Yuriy Syrota 

	* Got rid of using strdup() in code

2012-07-02 15:22:56 +0300 Yuriy Syrota 

	* Fixed bug #1387 (Scale Widget draws value text not centered to slider)

2012-07-02 15:20:15 +0300 Yuriy Syrota 

	* Fixed bug #1381 (Sensitivity invisible with antialiased fonts)

2012-07-02 15:17:36 +0300 Yuriy Syrota 

	* Fixed bug #1389 (A middle click on a tab lets nedit segfault)

2012-07-02 14:59:43 +0300 Yuriy Syrota 

	* Fixed bug #1377 (XmText memory leak in InitializeHook)

2012-07-02 14:56:58 +0300 Yuriy Syrota 

	* Fixed bug #1385 (core.self of XmMultiList is NULL , but must be pointer itself.)

2012-07-02 14:56:35 +0300 Yuriy Syrota 

	* Fixed bug #1385 (core.self of XmMultiList is NULL , but must be pointer itself.)

2012-07-02 14:51:15 +0300 Yuriy Syrota 

	* Fixd big #1380 (Can not set title bar in 2.3)

2012-07-02 13:38:50 +0300 Yuriy Syrota 

	* Fixed bug #1373 (Problem with XmScale)

2012-07-02 13:38:24 +0300 Yuriy Syrota 

	* Updated Release version in RELEASE and RELNOTES

2012-07-02 13:36:54 +0300 Yuriy Syrota 

	* Updated Toolkit's Manager and Shell tests runner scripts

2012-07-02 13:36:29 +0300 Yuriy Syrota 

	* Fixed bug #1371 (XmComboBox problem on FC6)

2012-07-02 13:31:36 +0300 Yuriy Syrota 

	* pdated release version in RPM spec

2012-07-02 13:29:35 +0300 Yuriy Syrota 

	* Fixed RPM spec in order to put system.mwmrc in correct lib directory

2012-07-02 12:12:07 +0300 Yuriy Syrota 

	* Fixed bug #1212 (XmDropDown do not work correctly on item selection)

2012-07-02 12:11:12 +0300 Yuriy Syrota 

	* Updated Changelog

2012-07-02 11:58:16 +0300 Yuriy Syrota 

	* Fixed bugs #1369 (Invalid memory managing in XmList) and #1370 (XmList max item height problem).

2012-06-30 23:00:13 +0300 Yuriy Syrota 

	* Added ChangeLog file

2012-06-30 22:58:24 +0300 Yuriy Syrota 

	* Fixed bug #1350 (A window on a different screen than the cursor can not aquire focus from another window closing)

2012-06-30 22:56:23 +0300 Yuriy Syrota 

	* Fixed bug report #1324

2012-06-30 22:55:38 +0300 Yuriy Syrota 

	* Fixed bug #1360 for Label gadgets (Text is not shown on Widgets if setting XmNsensitive to False and using FONT_IS_XFT)

2012-06-30 22:54:45 +0300 Yuriy Syrota 

	* Fixed bug #1360 (Text is not shown on Widgets if setting XmNsensitive to False and using FONT_IS_XFT)

2012-06-30 22:50:50 +0300 Yuriy Syrota 

	* Fixed bug #1334 (Resizing scrolled text widget makes scrolling jerky and unpredictable)

2012-06-30 22:49:39 +0300 Yuriy Syrota 

	* Font problems in demos/programs/periodic

2012-06-30 22:49:14 +0300 Yuriy Syrota 

	* Fixed bug #1337 (Keyboard traversal in XmTabStack is nonfunctional)

2012-06-30 22:48:18 +0300 Yuriy Syrota 

	* Fixed big #1344 (The XmColumn.3 manpage is non-standard)

2012-06-30 22:47:45 +0300 Yuriy Syrota 

	* Restored compilation with GCC < 4.0

2012-06-30 22:45:59 +0300 Yuriy Syrota 

	* Fixed bug #1343 (XmTabStack sometimes doesn't redraw tabs shadows)

2012-06-30 22:43:30 +0300 Yuriy Syrota 

	* Fixed bug #1342 (Several demos/programs/ use 'lightcoral' background)

2012-06-30 22:39:35 +0300 Yuriy Syrota 

	* Fixed bug #1348 (XmTabStack adds extra shadowThickness pixels to its children width or height)

2012-06-30 22:38:58 +0300 Yuriy Syrota 

	* Removed tree-ter optimization since it causes deinitialization of some bit fields (according to valgrind)

2012-06-30 22:03:05 +0300 Yuriy Syrota 

	* Added support of ISO-IR-111 (KOI8-R, KOI8-U, KOI8-RU) charset

2012-06-29 16:26:16 +0300 Yuriy Syrota 

	* Added support of ISO-IR-111 (KOI8-R, KOI8-U, KOI8-RU) charset

2012-06-29 16:25:25 +0300 Yuriy Syrota 

	* Fixed bug #1357 (Bad locking in ClassPartInitialize in VendorShell)

2012-06-29 16:24:21 +0300 Yuriy Syrota 

	* Fixed bug #1358 (wrong preprocessor symbol in lib/Xm/ImageCache.c)

2012-06-29 16:23:32 +0300 Yuriy Syrota 

	* used pkg-config instead of xft-config, so it allows compilation in Fedora Core 5 & 6

2012-06-29 16:23:12 +0300 Yuriy Syrota 

	* Deactivated fix for bug report #1146. Since it causes bug #1361.

2012-06-29 16:22:44 +0300 Yuriy Syrota 

	* Fixed a memory ariphmetic bug in ResEncod.c

2012-06-29 16:22:18 +0300 Yuriy Syrota 

	* Increased size of supported tags array in Label widget in order to prevent buffer overrun

2012-06-29 16:19:59 +0300 Yuriy Syrota 

	* Fixed using of uninitialized variables in TabStack.c

2012-06-29 16:19:38 +0300 Yuriy Syrota 

	* Fixed bug #1346. XmTabStack segfaults with side tabs and XmNtabLabelString==""

2012-06-29 16:13:06 +0300 Yuriy Syrota 

	* Fixed bug #1347. (The XmTabStack.3 manpage should mention that XmNuniformTabSize is forced to True in STACKED mode)

2012-06-29 16:12:41 +0300 Yuriy Syrota 

	* Fixed version of OpenMotif in the periodic demo

2012-06-29 16:10:55 +0300 Yuriy Syrota 

	* Fixed bug #1341. (XmOutline.3 manual page lacks XmNconnectNodes resource description.)

2012-06-29 16:07:11 +0300 Yuriy Syrota 

	* FIxed bug #1338 (periodic example lacks XmOutline demo)

2012-06-29 16:06:49 +0300 Yuriy Syrota 

	* Removed unnecessary code from DragBS.c

2012-06-29 16:06:31 +0300 Yuriy Syrota 

	* Fixed NULL resolving bug, as well as typo in CutPaste.c

2012-06-29 16:06:03 +0300 Yuriy Syrota 

	* Added some additional NULL checkers

2012-06-29 16:04:04 +0300 Yuriy Syrota 

	* Removed unnecessary code from DragC.c

2012-06-29 16:02:45 +0300 Yuriy Syrota 

	* Fixed Coverity's CIDs 175, 58, 59 and 60 in DragOverS.c.

2012-06-29 16:00:57 +0300 Yuriy Syrota 

	* Fixed Coverity's CID 148. Moved a pointer resolving to after checking this pointer for NULL.

2012-06-29 15:56:06 +0300 Yuriy Syrota 

	* Fixed Coverity's CID 147. Moved a pointer resolving to after checking this pointer for NULL.

2012-06-29 15:55:41 +0300 Yuriy Syrota 

	* Fixed Coverity's CID 134. Added a NULL ckecking in ClipboardFindItem() in CutPaste.c.

2012-06-29 15:55:19 +0300 Yuriy Syrota 

	* Fixed Coverity's CID 132. Removed unnecessary NULL ckecking in an internal function.

2012-06-29 15:51:25 +0300 Yuriy Syrota 

	* Close opened file in WriteFile() in makestrs.c in order to avoid resource leak

2012-06-29 15:51:08 +0300 Yuriy Syrota 

	* fixed CVE-2005-3964: libUil buffer overflows

2012-06-29 15:50:35 +0300 Yuriy Syrota 

	* Rolled back fix for #1318

2012-06-29 15:50:18 +0300 Yuriy Syrota 

	* Fixed bug #1332 (invalid processing of Cascade Button background color).

2012-06-29 15:47:50 +0300 Yuriy Syrota 

	* Fixed bug 1331 (XmList item default height set to 0 instead of 1)

2012-06-29 15:41:12 +0300 Yuriy Syrota 

	* Fixed bug #1318. Explicitly set number of selected items to zero in ClearSelectedPositions()

2012-06-29 15:39:37 +0300 Yuriy Syrota 

	* Removed an unused invernal funcion from MultiList.c

2012-06-29 15:36:38 +0300 Yuriy Syrota 

	* Explicitly removed callbacks from XmNnodeStateBegEndCallback on destroying widget in order to avoid invalid free() caused by using two names for this callback list

2012-06-29 15:35:45 +0300 Yuriy Syrota 

	* Umpated package version in RPM's specification

2012-06-29 15:35:31 +0300 Yuriy Syrota 

	* Upated RELNOTES

2012-06-29 15:35:00 +0300 Yuriy Syrota 

	* Restored RowColumn widget resizing logic

2012-06-29 15:34:38 +0300 Yuriy Syrota 

	* Updated release version

2012-06-29 15:33:22 +0300 Yuriy Syrota 

	* Updated package version

2012-06-29 15:31:26 +0300 Yuriy Syrota 

	* Fixed bug #1294 (XmFileSelectionBox's XmNdirSpec resource misbehaves when pathMode is PATH_MODE_RELATIVE)

2012-06-29 15:29:46 +0300 Yuriy Syrota 

	* Fixed bug 1297 (Insensitive XmPIXMAP XmPushButtons are stippled with wrong color)

2012-06-29 15:29:20 +0300 Yuriy Syrota 

	* Added an #ifdef around a Xft-specific code fragment

2012-06-29 15:28:50 +0300 Yuriy Syrota 

	* dded support for ISO10646 font in Unicode environment

2012-06-29 15:22:58 +0300 Yuriy Syrota 

	* From my investigation, it seems that the way to get rid of the strict-aliasing warnings is to tell the compiler not to use strict aliasing.

2012-06-29 15:21:14 +0300 Yuriy Syrota 

	* Add a cast so the compiler knows we know what we are doing.

2012-06-29 15:20:56 +0300 Yuriy Syrota 

	* Adjust a prototype to avoid a warning.

2012-06-29 15:20:31 +0300 Yuriy Syrota 

	* Fixed bug report #1317 (TextField doesn't display 'ü' char with fontType set to FONT_IS_XFT)

2012-06-29 15:19:44 +0300 Yuriy Syrota 

	* Added lost Xpms_popen.c

2012-06-29 15:19:03 +0300 Yuriy Syrota 

	* Got rid of compiler warnings in XmString.c.

2012-06-29 15:18:32 +0300 Yuriy Syrota 

	* Got rid of compiler warnings in TextF.c.

2012-06-29 15:16:13 +0300 Yuriy Syrota 

	* Got rid of compiler warnings in DataF.c.

2012-06-29 15:15:25 +0300 Yuriy Syrota 

	* Fixed comparison function declaration in I18List.c, in order to get rid of a compiler warning.

2012-06-29 15:14:51 +0300 Yuriy Syrota 

	* Fixed comparison function declaration, in order to get rid of a compiler warning.

2012-06-29 15:11:21 +0300 Yuriy Syrota 

	* Fixed arg 5 of _XmWarningMsg(). It should be Cardinal, not pointer to Cardinal.

2012-06-29 15:10:33 +0300 Yuriy Syrota 

	* Fixed bug #1315 (Division by zero in List widget)

2012-06-29 15:09:14 +0300 Yuriy Syrota 

	* Fixed bug #1314 (Buffer overflow in MrmItop.c on 64-bit systems)

2012-06-29 15:07:49 +0300 Yuriy Syrota 

	* Fixed bug #1313 (Buffer overrun in getsubres demo program)

2012-06-29 15:05:26 +0300 Yuriy Syrota 

	* Fixed bug #1304. Buffer overflow in MrmOpenHierarchy...()

2012-06-29 14:59:34 +0300 Yuriy Syrota 

	* Fixed bug #1311 (CVE-2005-0605 in libXPM)

2012-06-29 14:58:48 +0300 Yuriy Syrota 

	* Got rid of obsolete tmpnam() call in imake

2012-06-29 14:56:24 +0300 Yuriy Syrota 

	* Fixed bug #1310 (Common Vulnerability Exposure CAN-2004-0914 in libXpm)

2012-06-29 14:55:48 +0300 Yuriy Syrota 

	* Let's see if I can still do this .... This fixes a mis-placed #endif that has been there since the beginning of time ....

2012-06-29 14:54:02 +0300 Yuriy Syrota 

	* pdated version of library to 4.0

2012-06-29 14:51:01 +0300 Yuriy Syrota 

	* Fixed XmBulletinBoard(3) man page (#1306)

2012-06-29 14:49:52 +0300 Yuriy Syrota 

	* Demoved pre-made configure from te source tree

2012-06-29 14:49:10 +0300 Yuriy Syrota 

	* Remade deprecated symbol aliases to use __attribute__ instead of #pragma weak in order to make in compatible with gcc 3

2012-06-29 14:48:22 +0300 Yuriy Syrota 

	* Updated package version in openmotif.spec

2012-06-29 14:48:07 +0300 Yuriy Syrota 

	* Fixed a type in XmPaned man page

2012-06-29 14:47:43 +0300 Yuriy Syrota 

	* Changed dependency on byacc package to /bin/yacc binary in the RPM spec file

2012-06-29 14:46:15 +0300 Yuriy Syrota 

	* Added man pages for XmDataFiled methods

2012-06-29 14:45:47 +0300 Yuriy Syrota 

	* Added pre-made 'configure' in the source tree

2012-06-29 14:44:32 +0300 Yuriy Syrota 

	* Added XmDataFieldCopy(3), XmDataFieldCut(3), and XmDataFieldPaste(3) man pages

2012-06-29 14:44:01 +0300 Yuriy Syrota 

	* Added XmDataFieldSetEditable(3) man page

2012-06-29 14:41:41 +0300 Yuriy Syrota 

	* Added XmDataFieldGetString(3) and XmDataFieldSetInsertionPosition(3) man pages

2012-06-29 14:41:03 +0300 Yuriy Syrota 

	* Added XmDropDownGetChild(3) man page

2012-06-29 14:40:24 +0300 Yuriy Syrota 

	* Added XmIconBoxIsCellEmpty(3) man page, and fixed a couple of typos in XmIconBox(3)

2012-06-29 14:39:35 +0300 Yuriy Syrota 

	* Added XmPaned(3) man page

2012-06-29 14:38:41 +0300 Yuriy Syrota 

	* Added XmPanedGetPanes(3) man page

2012-06-29 14:38:09 +0300 Yuriy Syrota 

	* Added pages for functions of TabStack

2012-06-29 14:37:35 +0300 Yuriy Syrota 

	* Added MultiList pages in Makefile.am

2012-06-29 14:37:16 +0300 Yuriy Syrota 

	* Renamed XmMultiListDeselectAllItems.3 XmMultiListUnselectAllItems.3, made appropriate changes in the text.

2012-06-29 14:34:12 +0300 Yuriy Syrota 

	* Renamed XmMultiListDeselectItem.3 XmMultiListUnselectItem.3, made necessary fixes in text.

2012-06-29 14:33:00 +0300 Yuriy Syrota 

	* Included config.h in TabBox.c

2012-06-29 14:25:25 +0300 Yuriy Syrota 

	* Fixed work of TabStack and IconButton with XFT fonts

2012-06-29 14:24:38 +0300 Yuriy Syrota 

	* Fixed work of IconButton with XFT fonts

2012-06-29 14:24:14 +0300 Yuriy Syrota 

	* Fixed compilation on FreeBSD 4, which has libiconv installed in non-standard path /usr/loca/lib

2012-06-29 14:23:54 +0300 Yuriy Syrota 

	* Fixed compilation on FreeBSD 4, which has libiconv installed in non-standard path /usr/loca/lib

2012-06-29 14:23:31 +0300 Yuriy Syrota 

	* Used XmMultiList instead of XmExt18List in demos

2012-06-29 14:23:11 +0300 Yuriy Syrota 

	* Used XmDropDown instead of XmCombinationBox2 in demos

2012-06-29 14:21:55 +0300 Yuriy Syrota 

	* Used XmDropDown instead of XmCombinationBox2 in demos

2012-06-29 14:21:07 +0300 Yuriy Syrota 

	* Used XmMultiList instead of XmExt18List in demos

2012-06-29 14:20:42 +0300 Yuriy Syrota 

	* Used XmDropDown instead of XmCombinationBox2 in demos

2012-06-29 14:20:27 +0300 Yuriy Syrota 

	* Used xmDropDownWidgetClass insted xmCombinationBox2WidgetClass in FontSelector

2012-06-29 14:15:00 +0300 Yuriy Syrota 

	* WML: Renamed XmCombinationBox2 and XmExt18List to XmDropDown and XmMultiList accordingly.

2012-06-29 14:14:35 +0300 Yuriy Syrota 

	* Added looking for iconv lib

2012-06-29 14:13:50 +0300 Yuriy Syrota 

	* Removed Ext18List.c and ComboBox2.c added MultiList.c and DropDown.c

2012-06-29 14:07:05 +0300 Yuriy Syrota 

	* Renamed XmExt18List and XmCombinationBox2 widgets. Created appropriatre aliases for backward compatibility.

2012-06-29 14:05:46 +0300 Yuriy Syrota 

	* Included new header files insted deprecated ones.

2012-06-29 14:05:27 +0300 Yuriy Syrota 

	* Declared new cals for XmMultiList and XmDropDown widhet creation in MRM.

2012-06-29 14:04:21 +0300 Yuriy Syrota 

	* Renamed XmExt18List and XmCombinationBox2 widgets. Created appropriatre aliases for backward compatibility.

2012-06-29 13:56:39 +0300 Yuriy Syrota 

	* Include stdlib.h instead of malloc.h because some systems have moved malloc to stdlib

2012-06-29 13:56:22 +0300 Yuriy Syrota 

	* Added keyword 'Alias' to WML class declaration

2012-06-29 13:55:57 +0300 Yuriy Syrota 

	* Registered XmCombinationBox2 creation function in MRM

2012-06-29 12:41:11 +0300 Yuriy Syrota 

	* Updated revision in XmAppl.uil

2012-06-29 12:40:50 +0300 Yuriy Syrota 

	* Updated RPM spec for OM 2.3 beta1

2012-06-29 12:40:26 +0300 Yuriy Syrota 

	* Added new resources to XmLabel and XmlabelGadget widgets

2012-06-29 12:39:44 +0300 Yuriy Syrota 

	* Slightly improved readibility of Label.c LabelG.c code

2012-06-29 12:38:35 +0300 Yuriy Syrota 

	* Updated libtool version of libXm

2012-06-29 12:38:13 +0300 Yuriy Syrota 

	* Updated type of new render table resources

2012-06-29 12:37:54 +0300 Yuriy Syrota 

	* Got rid of _XmXftSetClipRectanges2() function

2012-06-29 12:30:14 +0300 Yuriy Syrota 

	* Fixed compilation on Solaris w/o Xft

2012-06-29 12:29:58 +0300 Yuriy Syrota 

	* Fixed calculation of extents of default font

2012-06-29 12:28:04 +0300 Yuriy Syrota 

	* Get rid of a compiler warning

2012-06-29 12:25:45 +0300 Yuriy Syrota 

	* Fixed Converter of List for UTF8_STRING atom

2012-06-29 12:25:21 +0300 Yuriy Syrota 

	* Removed declarations of undefined function from Column.h

2012-06-29 12:25:04 +0300 Yuriy Syrota 

	* Fixed issues appeared with building using gcc4

2012-06-29 12:24:46 +0300 Yuriy Syrota 

	* Fixed bug #1298

2012-06-29 12:24:28 +0300 Yuriy Syrota 

	* Updated source tree in order to make it compilable by gcc4

2012-06-29 12:24:00 +0300 Yuriy Syrota 

	* Added 2 DataField's man pages: XmDataFieldSetString(3) and XmDataFieldSetStringWcs(3)

2012-06-29 12:23:21 +0300 Yuriy Syrota 

	* Fixed Incorrectly formatted table in VirtualBindings manpage as proposed by Dmitry Bolkhovityanov

2012-06-29 12:22:51 +0300 Yuriy Syrota 

	* Applied the patch updates cursor position after commiting preedit text

2012-06-29 12:22:32 +0300 Yuriy Syrota 

	* Removed unnecessary dependencies on libSM and libICE

2012-06-29 12:22:10 +0300 Yuriy Syrota 

	* Fixed bug #1199 (Container does a XtDestroyWidget(cw->container.icon_header) on NULL pointer)

2012-06-29 10:06:11 +0300 Yuriy Syrota 

	* Made static libraries build by default

2012-06-29 10:05:47 +0300 Yuriy Syrota 

	* Updated LabelType with XmPIXMAP_AND_STRING

2012-06-29 10:05:31 +0300 Yuriy Syrota 

	* Updated UTF8_SUPPORTED wrappers.

2012-06-29 10:05:04 +0300 Yuriy Syrota 

	* Added utf8 support flag to configuration script

2012-06-29 10:03:39 +0300 Yuriy Syrota 

	* updated UTF8_SUPPORTED wrappers in TextFSel.c

2012-06-29 10:02:01 +0300 Yuriy Syrota 

	* added UTF8_SUPPORTED wareppers into ResEncod.c

2012-06-29 10:01:33 +0300 Yuriy Syrota 

	* Updated Release Notes

2012-06-29 09:58:34 +0300 Yuriy Syrota 

	* Updated version

2012-06-29 09:54:46 +0300 Yuriy Syrota 

	* Fixed bug #1287

2012-06-29 09:53:29 +0300 Yuriy Syrota 

	* Added convinced build script for test libraries

2012-06-27 15:49:46 +0300 Yuriy Syrota 

	* Restored compilation of the QATS tests

2012-06-27 15:49:14 +0300 Yuriy Syrota 

	* Fixed PNG condition in Makefile.am .

2012-06-27 15:48:36 +0300 Yuriy Syrota 

	* Fixed issues with building with old automake

2012-06-27 15:47:58 +0300 Yuriy Syrota 

	* Fixed bug #1118 (XmDialogShell instances' leak).

2012-06-27 15:47:27 +0300 Yuriy Syrota 

	* Updated source code with ability to do not support UTF8

2012-06-27 15:46:43 +0300 Yuriy Syrota 

	* Changed name of openmotif in spec

2012-06-27 15:46:11 +0300 Yuriy Syrota 

	* Changed version of openmotif in spec

2012-06-27 15:45:47 +0300 Yuriy Syrota 

	* Update Makefile.am in order to add Jpeg and Png support headers into distribution

2012-06-27 15:45:25 +0300 Yuriy Syrota 

	* Changed version of openmotif in configure.ac

2012-06-27 15:45:03 +0300 Yuriy Syrota 

	* Updated man pages with information related to newly added support of UTF8_STRING atom.

2012-06-27 15:42:19 +0300 Yuriy Syrota 

	* Updated man pages with information related to JPEG and PNG image support

2012-06-27 15:41:41 +0300 Yuriy Syrota 

	* Renamed macros indicates support of PNG and JPEG. Made the macros public in order to allow application programmers determine weather Xm supported these image formats.

2012-06-27 15:41:13 +0300 Yuriy Syrota 

	* Updated PushButton redrawingin order to draw correct backround under label text

2012-06-27 15:40:46 +0300 Yuriy Syrota 

	* Fixed a bug caused incorect drawing of selected pixmap in ToggleButtonGadget with label type XmPIXMAP_AND_STRING

2012-06-27 15:38:15 +0300 Yuriy Syrota 

	* Fixed a bug caused incorect drawing of selected pixmap in ToggleButton with label type XmPIXMAP_AND_STRING

2012-06-27 15:37:22 +0300 Yuriy Syrota 

	* Fixed a bug caused text overlap in labels using anti-aliased text

2012-06-27 15:36:50 +0300 Yuriy Syrota 

	* Fixed a buf caused label pixmap clearing in with XmPIXMAP_AND_STRING label type

2012-06-27 14:54:31 +0300 Yuriy Syrota 

	* Made PNG, JPEG and XFT support default

2012-06-27 14:53:36 +0300 Yuriy Syrota 

	* Added ac_find_xft.m4 for XFT support

2012-06-27 14:53:01 +0300 Yuriy Syrota 

	* Added Png.c Jpeg.c

2012-06-27 14:48:15 +0300 Yuriy Syrota 

	* Added PngI.h JpegI.h

2012-06-27 14:46:54 +0300 Yuriy Syrota 

	* Updated Makefile.am in order to add Jpeg.c and Png.c to the build process

2012-06-27 14:46:03 +0300 Yuriy Syrota 

	* Updated man pages with description of new XmLabel feature to show label strings and pixmaps simultaneusly

2012-06-27 14:45:40 +0300 Yuriy Syrota 

	* Rollback undesired changes in Container

2012-06-27 14:44:14 +0300 Yuriy Syrota 

	* Fixed bug #1249

2012-06-27 14:43:23 +0300 Yuriy Syrota 

	* Fixed bug #1286

2012-06-27 14:40:53 +0300 Yuriy Syrota 

	* Fixed checking for non-printable strings in DataField widget

2012-06-27 14:39:18 +0300 Yuriy Syrota 

	* Make the code compilable with CFT support

2012-06-27 14:38:46 +0300 Yuriy Syrota 

	* Updated configure.ac in order to add XFT support

2012-06-27 14:38:23 +0300 Yuriy Syrota 

	* Added UTF-8 and XFT support to WML

2012-06-27 14:33:00 +0300 Yuriy Syrota 

	* Added declaration of XmCvtXmStringToUTF8String()

2012-06-27 14:32:43 +0300 Yuriy Syrota 

	* Added support for XFT and UTF-8

2012-06-27 14:31:33 +0300 Yuriy Syrota 

	* Added ac_image_support.m4

2012-06-27 14:30:49 +0300 Yuriy Syrota 

	* Fixed bug #1283 (TabBox translation error)

2012-06-27 14:25:27 +0300 Yuriy Syrota 

	* Added Advanced image support (PNG and JPEG)

2012-06-27 14:09:55 +0300 Yuriy Syrota 

	* Fixed a typo

2012-06-27 12:32:34 +0300 Yuriy Syrota 

	* Fixed bug #1211 (Crash on setting XmNlabelPixmap in a ToggleButtonGadget) (tag: release_2_2_4)

2012-06-27 12:31:01 +0300 Yuriy Syrota 

	* Fixed bug #1264 (crash in PutDSToStream due to bug in _XmResizeHashTable).

2012-06-27 12:23:07 +0300 Yuriy Syrota 

	* Fixed bug #1276 (XmList: changing AddMode selects/deselects items without callback).

2012-06-27 12:22:06 +0300 Yuriy Syrota 

	* Fixed bug #1196 (Free memory read in XmIm.c/draw_separator(), line 2329).

2012-06-27 12:19:38 +0300 Yuriy Syrota 

	* Fixed bug #1193 (MWM crashes when restarting by a session manager)

2012-06-27 12:18:08 +0300 Yuriy Syrota 

	* Fixed bug #1202

2012-06-27 12:11:19 +0300 Yuriy Syrota 

	* Fixed bug #1186

2012-06-27 12:00:34 +0300 Yuriy Syrota 

	* Fixed bug #1214 (Cannot set a string to XmTextField with XtSetValues when XmNmodifyVerifyCallback is set)

2012-06-27 11:52:47 +0300 Yuriy Syrota 

	* Fixed bug #1279 via modification GetSelection() function, now it returns False if selection is empty.

2012-06-27 11:51:20 +0300 Yuriy Syrota 

	* Fixed bug #1278 as it was proposed in the bug report

2012-06-27 10:55:42 +0300 Yuriy Syrota 

	* Adopt configuration scripts for automake 1.9

2012-06-27 10:54:52 +0300 Yuriy Syrota 

	* Fixed working of MWM in multiscreen mode

2012-06-27 10:51:44 +0300 Yuriy Syrota 

	* Some fixes in the tooltips implementations for Solaris

2012-06-27 10:50:39 +0300 Yuriy Syrota 

	* Fixed Bug 1274. Included X11/Xmd.h in XpmI.h

2012-06-27 10:49:35 +0300 Yuriy Syrota 

	* Fixed bug #1275. Removed invalid comments

2012-06-27 10:48:28 +0300 Yuriy Syrota 

	* Added missing files for the possibility to enable/disable compatibility with Motif 2.1.

2012-06-27 10:43:53 +0300 Yuriy Syrota 

	* Added possibility to enable/disable compatibility with Motif 2.1. Remade tooltips with Traits.

2012-06-27 10:34:19 +0300 Yuriy Syrota 

	* Merged security fixes in XPM library from version 2.2.4

2012-06-26 23:27:35 +0300 Yuriy Syrota 

	* Backport fixes from Xpm library

2012-06-26 23:26:10 +0300 Yuriy Syrota 

	* Fixed compilation with bison 1.875 supplied with SuSe 9.1. Fixed redefinision of VERSION.

2012-06-26 23:25:24 +0300 Yuriy Syrota 

	* Removed unnecessary defines

2012-06-26 23:25:03 +0300 Yuriy Syrota 

	* Fixed bug #1269 (popup menus fail on Tarantella/VNC)

2012-06-26 23:14:13 +0300 Yuriy Syrota 

	* Fixed bug #1262 (Entering Esc key before pulldown menu realized crashes)

2012-06-26 23:12:25 +0300 Yuriy Syrota 

	* Fixed bug #1268 (XmCvtXmStringToCT improperly handles empty string)

2012-06-26 22:33:30 +0300 Yuriy Syrota 

	* Added missing and removed superfluous resources in provisional widgets. Added XmdataField widget.

2012-06-26 22:30:32 +0300 Yuriy Syrota 

	* Avoided of using XmPartOffset in DataField. Made the widget correctly based on TextField's structure.

2012-06-26 22:29:35 +0300 Yuriy Syrota 

	* Added Datafield.h and TabBox.h to XmAll.h

2012-06-26 22:28:54 +0300 Yuriy Syrota 

	* Moved XmTabBoxCallbackStruct definition to Xm.h

2012-06-26 22:28:25 +0300 Yuriy Syrota 

	* Moved XmTabStackCallbackStruct definition to XmP.h

2012-06-26 22:27:50 +0300 Yuriy Syrota 

	* Added synthetic resolution independent conversion of width/height resources to ExtendedList

2012-06-26 22:27:27 +0300 Yuriy Syrota 

	* ExtendedList: Created working mirror of I18List resources intend to pass to agregated I18List widget

2012-06-26 22:26:54 +0300 Yuriy Syrota 

	* DropDown: Used XmStringUnparse instead of non-standard handling

2012-06-26 22:26:25 +0300 Yuriy Syrota 

	* ExtendedList: Added wide character string value of search string to ExtendedListCallbackStruct

2012-06-26 22:25:55 +0300 Yuriy Syrota 

	* Made DropDown using XmGrabShell instead of TopLevelShell

2012-06-26 18:15:21 +0300 Yuriy Syrota 

	* Got rid of using XtAppWarningMag where XmeWarning() and _XmWarningMsg() are customary

2012-06-26 18:14:38 +0300 Yuriy Syrota 

	* Moved messages from Ext18List.c to central XmString repository. Got rid of obsolete XmStringCreateRtoL() call in Ext18List.c

2012-06-26 18:14:07 +0300 Yuriy Syrota 

	* Got rid of using XmResolveAllpatrOffsets() in all provosional widgets but DataField.

2012-06-26 18:13:08 +0300 Yuriy Syrota 

	* Removed unnecessary XmOutline.ps

2012-06-26 18:11:47 +0300 Yuriy Syrota 

	* Fixed bug #1260 by Andreas Luik

2012-06-26 18:11:18 +0300 Yuriy Syrota 

	* Fix for POSIX systems: it is impossible to create an array with size NL_TEXTMAX == INT_MAX

2012-06-26 17:36:50 +0300 Yuriy Syrota 

	* Fixes for 64-bit platforms in Resolve.c

2012-06-26 17:36:29 +0300 Yuriy Syrota 

	* Fix invalid cast in FonsS.c

2012-06-26 17:36:05 +0300 Yuriy Syrota 

	* Fixed bug #1258 (RedHat's bug #124961).

2012-06-26 17:35:04 +0300 Yuriy Syrota 

	* Fixed bug #1257 (RedHat's bug #124960).

2012-06-26 16:32:21 +0300 Yuriy Syrota 

	* Fixed a typo in configure.ac

2012-06-26 16:32:03 +0300 Yuriy Syrota 

	* Fixed bug #1256

2012-06-26 16:31:39 +0300 Yuriy Syrota 

	* Added missed man pages for Outline, Hierarchy, Ext18List and CombinationBox2 widgets. Updated many XmVaCreate man pages.

2012-06-26 16:29:24 +0300 Yuriy Syrota 

	* Added FreeBSD support

2012-06-26 16:28:34 +0300 Yuriy Syrota 

	* Fixed incorrect XmRenderTableToProp() behavior appeared in RendToProp test. The function wrote -1 is background or foreground pixel value is XmAS_IS, but XmAS_IS has the same value as blue color pixel (255),  besides background or foreground can't equal XmAS_IS in this place. So I just  removed this logic.

2012-06-26 16:27:34 +0300 Yuriy Syrota 

	* Fixed a number of compiler warnings

2012-06-26 16:27:04 +0300 Yuriy Syrota 

	* Fixed a bug in XmeString.c caused by incorrect tag expected. Improved the test, now it check for two tags in string.

2012-06-26 16:25:33 +0300 Yuriy Syrota 

	* Added lost files (origin/openmotif-2-3-exp1)

2012-06-26 12:28:55 +0300 Yuriy Syrota 

	* Fixed a bug in XmeGetPixmapData.c. Finction shouldn't assing values for hot_x and hot_y if there is no hot spot in the image.

2012-06-26 12:28:23 +0300 Yuriy Syrota 

	* Fixed CutPaste2 run script

2012-06-26 12:27:47 +0300 Yuriy Syrota 

	* Fixed incorrect XmClipboardCopyByName() behavior appeared in CutPaste2 QATS test.

2012-06-26 12:27:25 +0300 Yuriy Syrota 

	* Commented out threading debugging functions in Xmos.c because it causes uil fail

2012-06-26 12:26:56 +0300 Yuriy Syrota 

	* Made libXm compilable after merging changes from openmotfi_2_2_3

2012-06-26 12:19:37 +0300 Yuriy Syrota 

	* Merged changes from openmotfi_2_2_3 to Xpmscan.c

2012-06-26 12:19:12 +0300 Yuriy Syrota 

	* Merged changes from openmotfi_2_2_3 to Xpmparse.c

2012-06-26 12:18:48 +0300 Yuriy Syrota 

	* Merged changes from openmotfi_2_2_3 to Xpmdata.c

2012-06-26 12:18:30 +0300 Yuriy Syrota 

	* Merged changes from openmotfi_2_2_3 to Xpmcreate.c

2012-06-26 12:18:09 +0300 Yuriy Syrota 

	* Merged changes from openmotfi_2_2_3 to XpmWrFFrI.c

2012-06-26 12:17:48 +0300 Yuriy Syrota 

	* Merged changes from openmotfi_2_2_3 to XpmCrDatFrI.c

2012-06-26 12:17:21 +0300 Yuriy Syrota 

	* Merged changes from openmotfi_2_2_3 to XpmCrBufFrI.c

2012-06-26 12:17:01 +0300 Yuriy Syrota 

	* Avoided compilation warnings in XmIm.c

2012-06-26 12:16:38 +0300 Yuriy Syrota 

	* Merged changes from openmotfi_2_2_3 to Xm.h and XmI.h

2012-06-26 12:16:13 +0300 Yuriy Syrota 

	* Merged changes from release_2_2_3 to ToggleBG.c

2012-06-25 15:58:20 +0300 Yuriy Syrota 

	* Merged changes from release_2_2_3 to ToggleB.c

2012-06-25 15:57:51 +0300 Yuriy Syrota 

	* Merged changes from release_2_2_3 to Outline.c

2012-06-25 15:57:22 +0300 Yuriy Syrota 

	* Merged changes from release_2_2_3 to Notebook.c

2012-06-25 15:56:55 +0300 Yuriy Syrota 

	* Merged changes to Makefile.am from openmotif_2_2_3

2012-06-25 15:56:15 +0300 Yuriy Syrota 

	* Returned xiIconButtonClassRec symbol for binary copatibility

2012-06-25 15:55:39 +0300 Yuriy Syrota 

	* Updated ExtP.h with changes from openmotif_2_2_3 branch

2012-06-25 15:54:58 +0300 Yuriy Syrota 

	* Returned xiColumnClassRec and xiColumnConstraintException symbols for binary copatibility

2012-06-25 15:54:31 +0300 Yuriy Syrota 

	* Returned xiColorSelectorClassRec symbol for binary copatibility

2012-06-25 15:50:12 +0300 Yuriy Syrota 

	* Updated LICENSE, README, README and /Makefile.am

2012-06-25 15:48:26 +0300 Yuriy Syrota 

	* Removed unnecessary files

2012-06-25 15:28:10 +0300 Yuriy Syrota 

	* Removed unnecessary files

2012-06-25 15:26:35 +0300 Yuriy Syrota 

	* Initial commit

2012-06-25 15:25:05 +0300 Yuriy Syrota 

	* QATS: Removed code fragment testing return value of XmeGetDefaultPixel() for XmBACKGROUND, since the returned value shouldn't be a generated

2012-06-25 15:24:42 +0300 Yuriy Syrota 

	* QATS: Avoid hand-up of Cutpaste2a test

2012-06-25 15:21:43 +0300 Yuriy Syrota 

	* Updated references to INSTALL.imake form Makefile.am and README

2012-06-25 15:16:50 +0300 Yuriy Syrota 

	* Removed INSTALL.imake file, because imake building is no longer supported

2012-06-25 15:15:56 +0300 Yuriy Syrota 

	* Fixed INSTALL.configure

2012-06-25 15:15:23 +0300 Yuriy Syrota 

	* Fixed bug 1252. (XmCreateDropDownList doesn't work when XLC_LOCALE has on_demand_loading property.)

2012-06-25 15:07:39 +0300 Yuriy Syrota 

	* Get rid of a header that is not needed. It caused problems if Xaw isn't installed.

2012-06-25 15:06:48 +0300 Yuriy Syrota 

	* Changed package version for make dist

2012-06-25 15:06:01 +0300 Yuriy Syrota 

	* Removed a non-existent file from Makefile.am

2012-06-25 15:05:20 +0300 Yuriy Syrota 

	* Removed a non-existent file from Makefile.am

2012-06-25 15:03:49 +0300 Yuriy Syrota 

	* Fixed locking in TabStack

2012-06-25 14:55:12 +0300 Yuriy Syrota 

	* Fixed a memory leak in Ext18List and added LayoutDirectionsupport to I18List

2012-06-25 14:54:10 +0300 Yuriy Syrota 

	* Fixed bug #1231 in IconFile.c

2012-06-25 14:53:14 +0300 Yuriy Syrota 

	* Fixed bug #1230 in ScrolledW.c

2012-06-25 14:51:07 +0300 Yuriy Syrota 

	* Fixed bug #1228

2012-06-25 14:50:00 +0300 Yuriy Syrota 

	* Fixed bug #1239

2012-06-25 14:46:47 +0300 Yuriy Syrota 

	* iFixed bug 1226

2012-06-25 14:46:27 +0300 Yuriy Syrota 

	* iFixed bug 1207

2012-06-25 14:43:01 +0300 Yuriy Syrota 

	* iFixed bug 1207

2012-06-25 14:42:26 +0300 Yuriy Syrota 

	* iFixed bug 1197

2012-06-25 14:41:13 +0300 Yuriy Syrota 

	* Fixed bugs 1154, 1164, 1172, 1173 and 1188 in ToggleB.c and ToggleBG

2012-06-25 14:38:37 +0300 Yuriy Syrota 

	* Fixed bug 1168 in ScrolledW.c

2012-06-25 14:37:50 +0300 Yuriy Syrota 

	* Fixed bug 1139 in Notebook.c

2012-06-25 14:28:30 +0300 Yuriy Syrota 

	* Fixed bug 278 in XmDrawnButton.3

2012-06-25 14:23:46 +0300 Yuriy Syrota 

	* Fixed bug 278 in XmText.3

2012-06-25 14:23:11 +0300 Yuriy Syrota 

	* Added DropDown.h DropDownP.h MultiList.h MultiListP.h

2012-06-25 14:22:12 +0300 Yuriy Syrota 

	* Added man pages for VaCreate functions

2012-06-25 14:21:37 +0300 Yuriy Syrota 

	* Updated Makefile.am to include all new man pages

2012-06-25 14:18:18 +0300 Yuriy Syrota 

	* Added man pages for MultiList widget

2012-06-25 14:17:39 +0300 Yuriy Syrota 

	* Added man pages for VaCreate functions

2012-06-25 14:15:13 +0300 Yuriy Syrota 

	* Added refences to VaCreate functions in XmCombobox.3 Added refences to VaCreate functions in XmContainer.3 Added refences to VaCreate functions in XmDataField.3 Added refences to VaCreate functions in XmDrawingArea.3 Added refences to VaCreate functions in XmDrawnButton.3 Added refences to VaCreate functions in XmFileSelectionBox.3 Added refences to VaCreate functions in XmForm.3 Added refences to VaCreate functions in XmFrame.3 Added refences to VaCreate functions in XmIconGadget.3 Added refences to VaCreate functions in XmText.3 Added refences to VaCreate functions in XmTextField.3 Added refences to VaCreate functions in XmRowColumn.3 Added refences to VaCreate functions in XmScale.3 Added refences to VaCreate functions in XmList.3 Added refences to VaCreate functions in XmMainWindow.3 Added refences to VaCreate functions in XmMessageBox.3 Added refences to VaCreate functions in XmNotebook.3 Added refences to VaCreate functions in XmPanedWindow.3 Added refences to VaCreate functions in XmScrollBar.3 Added refences to VaCreate functions in XmSeparator.3 Added refences to VaCreate functions in XmSeparatorGadget.3 Added refences to VaCreate functions in XmScrolledWindow.3 Added refences to VaCreate functions in XmSelectionBox.3 Added refences to VaCreate functions in XmSpinBox.3 Added refences to VaCreate functions in XmSimpleSpinBox.3 Added refences to VaCreate functions in XmLabel.3 Added new resources descriptions to XmLabel.3 Added refences to VaCreate functions in XmLabelGadget.3 Added new resources descriptions to XmLabelGadget.3 Added refences to VaCreate functions in XmIconBox.3 Added refences to VaCreate functions in XmTabStack.3 Added new resources descriptions to XmPushButton.3 Added refences to VaCreate functions in XmPushButton.3 Added new resources descriptions to XmPushButtonGadget.3 Added refences to VaCreate functions in XmPushButtonGadget.3 Added new resources descriptions to XmToggleButton.3 Added refences to VaCreate functions in XmToggleButton.3 Added new resources descriptions to XmToggleButtonGadget.3 Added refences to VaCreate functions in XmToggleButtonGadget.3

2012-06-25 13:14:26 +0300 Yuriy Syrota 

	* Updated XmCommand.3  with references to its VaCreate functions

2012-06-25 13:13:51 +0300 Yuriy Syrota 

	* Added DropDown man pages

2012-06-25 13:02:03 +0300 Yuriy Syrota 

	* Updated XmColumn.3 with references to its VaCreate functions

2012-06-25 13:01:39 +0300 Yuriy Syrota 

	* Updated XmCascadeButtonGadget.3 with references to its VaCreate functions

2012-06-25 13:01:21 +0300 Yuriy Syrota 

	* Updated XmCascadeButton.3 with references to its VaCreate functions

2012-06-25 13:01:03 +0300 Yuriy Syrota 

	* Updated XmButtonBox width references to its VaCreate functions

2012-06-25 13:00:42 +0300 Yuriy Syrota 

	* Updated XmBulletinBoard.3 width references to its VaCreate functions

2012-06-25 12:53:06 +0300 Yuriy Syrota 

	* Updated XmArrowButtonGadget.3 width references to its VaCreate functions

2012-06-25 12:52:21 +0300 Yuriy Syrota 

	* Updated XmArrowButton.3 width references to its VaCreate functions

2012-06-25 12:50:35 +0300 Yuriy Syrota 

	* Added VaCreate functions to XmBulletinBoard Added VaCreate functions to XmButtonBox Added Layout Direction support to XmButtonBox Added VaCreate functions to XmCascadeButton Added VaCreate functions to XmCascadeButtonGadget Added VaCreate functions to XmColorSelector Replaced XtAppWarningMsg calls with XmeWarning in XmColorSelector Added VaCreate functions to XmColumn Added Layout Direction support to XmColumn Added Render Table support to XmColumn Added VaCreate functions to XmCombinationBox2 Added Layout Direction support to XmCombinationBox2 Added Fast Subclassing support to XmCombinationBox2 Added VaCreate functions to XmComboBox Added VaCreate functions to XmCommand Added VaCreate functions to XmContainer Added VaCreate functions to XmDataField Added Render Table support to XmDataField Removed deprecated calls from XmDataField Added Transfer Trait support to XmDataField Added VaCreate functions to XmDrawingArea Added VaCreate functions to XmDrawnButton Added Render Table support to XmExt18List Removed deprecated calls from XmExt18List Added Layout Direction support to XmExt18List Added Layout Direction support to XmI18List Added Render Table support to XmI18List Added Transfer Trait support to XmI18List Added VaCreate functions to XmFileSelectionBox Added Layout Direction support to XmIconButton Added Activatable Trait support to  XmIconButton Added Render Table support to XmIconButton Added VaCreate functions to XmIconButton Added VaCreate functions to XmIconGadget Added VaCreate functions to XmList Added VaCreate functions to XmMainWindow Added VaCreate functions to XmMessageBox Added VaCreate functions to XmNotebook Added Layout Direction support to XmPaned Added VaCreate functions to XmPanedWindow Added VaCreate functions to XmScrollBar Added VaCreate functions to XmScrolledWindow Added VaCreate functions to XmSelectionBox Added VaCreate functions to XmSimpleSpinBox Added Render Table support to XmTabBox Added Layout Direction support to XmTabBox Added VaCreate functions to XmTabBox Added VaCreate functions to XmRowColumn Added possibility to display text and pixmap label simultaneusly to XmToggleButton Added possibility to display text and pixmap label simultaneusly to XmPushButton Added possibility to display text and pixmap label simultaneusly to XmPushButtonGadget Added possibility to display text and pixmap label simultaneusly to XmLabel Added possibility to display text and pixmap label simultaneusly to XmLabelGadget Fixed bug #1184

2012-06-25 12:40:17 +0300 Yuriy Syrota 

	* Fix for bug 1232, problem during destroy

2012-06-25 12:20:13 +0300 Yuriy Syrota 

	* -version-info is not appropriate for the uil program, just the library.

2012-06-25 12:17:14 +0300 Yuriy Syrota 

	* Get rid of some compiler warnings.

2012-06-25 12:15:12 +0300 Yuriy Syrota 

	* Binary compatability issues:

2012-06-24 22:57:08 +0300 Yuriy Syrota 

	* Added a few lines in the begining to make it clearer. -reh Wed Oct 30 01:18:34 EST 2002

2012-06-24 22:56:33 +0300 Yuriy Syrota 

	* added lost files

2012-06-24 22:54:47 +0300 Yuriy Syrota 

	* Note: If you are installing from a CVS pull, you can build the `configure' shell script from the 'autogen.sh' shell script.  Please ensure that your autoconf and automake tools are up to date, otherwise you may find that generic "out of the box" installations of some platforms will give messages such as RedHat v7.3 does here:

2012-06-24 22:49:47 +0300 Yuriy Syrota 

	* Get the *I.h files out of the distributed *.h files, again. This gets things building for me again. (origin/rel-2-2-ss-patches, origin/openmotif_2_2_3)

2012-06-24 22:46:35 +0300 Yuriy Syrota 

	* Doing an XQueryTree, and in some cases not XFree'ing the returned children array.

2012-06-24 22:45:49 +0300 Yuriy Syrota 

	* removed XmStrDefsI.h from the distributed header list

2012-06-24 22:42:44 +0300 Yuriy Syrota 

	* hanged versions for 2.3.x (we will call it 2.3.0 for now) this is the main development branch from this point on you can check out the branch release_2_2_x if you wish to fix bugs in the 2.2.x series. that series will maintain binary compatability, however it will be broken in 2.3. Source compatability will not be broken.

2012-06-24 22:15:36 +0300 Yuriy Syrota 

	* code clean up

2012-06-24 22:12:51 +0300 Yuriy Syrota 

	* fixed headerfile protective #ifndef names by adding Xm to the definitions in an attempt to prevent namespace collisions.

2012-06-24 22:11:14 +0300 Yuriy Syrota 

	* 1) updates for OME 2.2.3 2) removed fix in xmstring.list which broke compatability (will be added back in future)

2012-06-24 22:07:42 +0300 Yuriy Syrota 

	* updated the file list

2012-06-24 21:50:26 +0300 Yuriy Syrota 

	* potential bug fix for 1181

2012-06-24 21:49:54 +0300 Yuriy Syrota 

	* added missing file into distro list

2012-06-24 21:48:02 +0300 Yuriy Syrota 

	* removed duplicate line, fixed bug 1179

2012-06-24 21:46:25 +0300 Yuriy Syrota 

	* 1) updates for building OME on platforms which are missing X11/Xos_r.h and X11/Xpoll.h 2) Updated spec files for various rpms.

2012-06-24 21:44:23 +0300 Yuriy Syrota 

	* typo broke the demo when i added XtVaOpenApplication. (all fixed now ;)

2012-06-24 21:37:07 +0300 Yuriy Syrota 

	* 1) removed acconfig.h as it is depricated and not needed 2) re-wored AC_DEFINE's to work as autoconf directs (and not need acconfig.h) 3) test for XmuNCopyISOLatin1Lowered which is not always part of libXmu on    all platforms

2012-06-24 21:36:02 +0300 Yuriy Syrota 

	* removed this file from CVS. it is depricated. I think having both the configure.ac and the configure.in available is bad, as someone might add to configure.in. To build this you will need to update your version of autoconf. As autoconf is backwards compatabile this is not a bad thing.

2012-06-24 21:35:34 +0300 Yuriy Syrota 

	* protected the #defines with #ifndefs

2012-06-24 21:35:05 +0300 Yuriy Syrota 

	* added the source files for the wml binary (to the makefile.am)

2012-06-24 21:34:30 +0300 Yuriy Syrota 

	* fix for desensitizing/sensitizing XmCombinationbox2 (bug 1170)

2012-06-24 21:22:28 +0300 Yuriy Syrota 

	* updated example code to use XtVaOpenApplication

2012-06-24 21:21:25 +0300 Yuriy Syrota 

	* Fixed bug #1164 using supplied mod file.

2012-06-24 21:19:24 +0300 Yuriy Syrota 

	* Fix to bug 1132 applied.

2012-06-24 21:09:02 +0300 Yuriy Syrota 

	* Fix to bug 1132 applied.

2012-06-24 21:02:22 +0300 Yuriy Syrota 

	* removed debug printf statement

2012-06-24 20:54:39 +0300 Yuriy Syrota 

	* Bug 1140 - fixing return values from _XmGetWidgetExtData() for NULL to avoid dereferencing it.

2012-06-24 20:54:04 +0300 Yuriy Syrota 

	* Bug 1140 - fixing return values from _XmGetWidgetExtData() for NULL to avoid dereferencing it.

2012-06-24 20:51:53 +0300 Yuriy Syrota 

	* Updates for bug #1166 Special thanks to Gred (greg@lugs.org.sg) for uncovering, analyzing and sending in his patches.

2012-06-24 20:47:50 +0300 Yuriy Syrota 

	* code clean up

2012-06-24 00:37:29 +0300 Yuriy Syrota 

	* added a header to indicate that this file is depricated

2012-06-24 00:36:52 +0300 Yuriy Syrota 

	* migrated configure script to new and improved automake 1.6 autoconf  2.52. This file replaces the configure.in script which is now depricated.

2012-06-24 00:36:03 +0300 Yuriy Syrota 

	* added the conditional config.h include to support autoconf

2012-06-24 00:35:11 +0300 Yuriy Syrota 

	* CR1156: Removed nested includes.

2012-06-24 00:34:49 +0300 Yuriy Syrota 

	* CR1156: Removed duplicate nested include directives.

2012-06-24 00:31:34 +0300 Yuriy Syrota 

	* Mods for CR1152

2012-06-24 00:29:39 +0300 Yuriy Syrota 

	* Added mods for CR1146

2012-06-24 00:25:26 +0300 Yuriy Syrota 

	* Updated the Version release to 2.2.3 for the comming release

2012-06-24 00:18:28 +0300 Yuriy Syrota 

	* Applied fix to bug #1154.

2012-06-24 00:15:30 +0300 Yuriy Syrota 

	* removed depricated functions (there are still more out there)

2012-06-23 23:52:14 +0300 Yuriy Syrota 

	* mad application use XtVaOpenApplication

2012-06-23 23:51:56 +0300 Yuriy Syrota 

	* Updating threads document re: latest changes.

2012-06-23 23:51:33 +0300 Yuriy Syrota 

	* Wrapped accesses to class data inside _XmProcessLock()/_XmProcessUnlock() wrappers.

2012-06-23 23:51:08 +0300 Yuriy Syrota 

	* Wrapped accesses to class data inside _XmProcessLock()/_XmProcessUnlock() wrappers.

2012-06-23 23:51:00 +0300 Yuriy Syrota 

	* Wrapped accesses to class data inside _XmProcessLock()/_XmProcessUnlock() wrappers.

2012-06-23 23:46:28 +0300 Yuriy Syrota 

	* Wrapped accesses to class data inside _XmProcessLock()/_XmProcessUnlock() wrappers.

2012-06-23 23:45:56 +0300 Yuriy Syrota 

	* Wrapped accesses to class data inside _XmProcessLock()/_XmProcessUnlock() wrappers.

2012-06-23 23:45:33 +0300 Yuriy Syrota 

	* Wrapped accesses to class data inside _XmProcessLock()/_XmProcessUnlock() wrappers.

2012-06-23 23:44:48 +0300 Yuriy Syrota 

	* Wrapped accesses to class data inside _XmProcessLock()/_XmProcessUnlock() wrappers.

2012-06-23 23:43:43 +0300 Yuriy Syrota 

	* Thread doc updated.

2012-06-23 23:41:54 +0300 Yuriy Syrota 

	* Multithreading updates.

2012-06-23 23:40:50 +0300 Yuriy Syrota 

	* Working on threads, and debugging them, so we juggled things around a bit. Once we are finished with this, we can put them back.  We could have simply enveloped everything in "#ifdef" and "#endif", but that would have gotten really ugly, really quickly.

2012-06-23 23:40:11 +0300 Yuriy Syrota 

	* Tweaked proprietary file name.

2012-06-23 23:39:08 +0300 Yuriy Syrota 

	* Renamed proprietary file name.

2012-06-23 23:38:32 +0300 Yuriy Syrota 

	* Enabled threading flags.

2012-06-23 23:30:17 +0300 Yuriy Syrota 

	* Indicated what had been done so far.

2012-06-23 23:29:57 +0300 Yuriy Syrota 

	* Updated To Do list

2012-06-23 23:29:31 +0300 Yuriy Syrota 

	* Thread safety added.

2012-06-23 23:28:42 +0300 Yuriy Syrota 

	* Added thread safety.

2012-06-23 23:27:52 +0300 Yuriy Syrota 

	* Added included directive for "XmI.h", needed by _XmProcessLock() call

2012-06-23 23:03:05 +0300 Yuriy Syrota 

	* Added thread safety calls.

2012-06-23 23:02:28 +0300 Yuriy Syrota 

	* Added more notes, including what files have had their first run through.

2012-06-23 23:02:08 +0300 Yuriy Syrota 

	* Thread updates.

2012-06-23 23:01:41 +0300 Yuriy Syrota 

	* Added prototypes for XmDataFieldSetStringWcs()

2012-06-23 23:00:46 +0300 Yuriy Syrota 

	* Added list of files to check thread saftey on.

2012-06-23 22:49:23 +0300 Yuriy Syrota 

	* Removed calls to old nag screens.

2012-06-23 22:47:43 +0300 Yuriy Syrota 

	* Some brief notes on handling thread safety inside widgets.

2012-06-23 22:46:15 +0300 Yuriy Syrota 

	* Spell checked the To Do list.

2012-06-23 22:45:33 +0300 Yuriy Syrota 

	* Updated the TO LIST.

2012-06-23 22:44:45 +0300 Yuriy Syrota 

	* fixed broken include line in make files. The line is broken for all platforms, only darwin complained so far...

2012-06-23 15:23:36 +0300 Yuriy Syrota 

	* to many "-I"'s problem in darwin build

2012-06-23 15:22:41 +0300 Yuriy Syrota 

	* Renamed variable for widget class.

2012-06-23 15:22:07 +0300 Yuriy Syrota 

	* same

2012-06-23 15:21:38 +0300 Yuriy Syrota 

	* Tweaked fast sub-classing support for Font Selector

2012-06-23 15:20:55 +0300 Yuriy Syrota 

	* Duplicate entry for XmTABSTACK_BIT removed.

2012-06-23 15:17:38 +0300 Yuriy Syrota 

	* Fast sub classing support

2012-06-23 15:16:50 +0300 Yuriy Syrota 

	* Fast subclassing for Color selector.

2012-06-23 15:16:24 +0300 Yuriy Syrota 

	* Fast subclassing support added.

2012-06-23 15:15:52 +0300 Yuriy Syrota 

	* Fast sub classing added.

2012-06-23 15:15:15 +0300 Yuriy Syrota 

	* Fast subclassing modification. Corrected error indicating it was sub classed as an XmBulletinBoard...

2012-06-23 15:10:31 +0300 Yuriy Syrota 

	* If we change the references to bxutil, we should also change the file name.....

2012-06-23 15:08:55 +0300 Yuriy Syrota 

	* Added extra enums for fast sub classing of new widgets:     XmBUTTONBOX_BIT,     XmDATAFIELD_BIT,     XmI18LIST_BIT,     XmEXT18LIST_BIT,

2012-06-23 15:08:21 +0300 Yuriy Syrota 

	* Traits for data transfer.

2012-06-23 15:07:32 +0300 Yuriy Syrota 

	* missing misc.o and misc.c in the Imakefile

2012-06-23 15:06:40 +0300 Yuriy Syrota 

	* Replace <MrmosI.h> by "MrmosI.h" since -I. was removed from INCLUDES in the Imakefile.

2012-06-23 12:37:22 +0300 Yuriy Syrota 

	* Includes Mrm/MrmAppl.h, Mrm/Mrm.h and X11/Xos_r.h in the wrong order.

2012-06-23 12:36:56 +0300 Yuriy Syrota 

	* Progress on ToDo list

2012-06-23 12:36:34 +0300 Yuriy Syrota 

	* Assumes a wrong path for rgb.txt. Make it use the right path.

2012-06-23 12:32:37 +0300 Yuriy Syrota 

	* FreeBSD 4.x and above do have wide character string functions.

2012-06-23 12:31:46 +0300 Yuriy Syrota 

	* fixed the include path for Xm.h

2012-06-23 12:30:30 +0300 Yuriy Syrota 

	* Added default_button variable.

2012-06-23 12:29:42 +0300 Yuriy Syrota 

	* Removing references to BX

2012-06-23 12:29:08 +0300 Yuriy Syrota 

	* changed references from BxRegisterConverters to RegisterConverters.

2012-06-23 12:28:20 +0300 Yuriy Syrota 

	* Modified references to bxutil to a more generic, and less product centric util

2012-06-23 12:25:47 +0300 Yuriy Syrota 

	* Use XmStringUnparse instead of deprecated XmStringGetLtoR utilities to fetch the selected item from the Color namespace List.

2012-06-23 12:22:28 +0300 Yuriy Syrota 

	* 1) Tweek needed to support the Trait XmQTtakesDefault so that default button highlight emphasis is supported in the standard manner.

2012-06-23 12:21:40 +0300 Yuriy Syrota 

	* Minor code changes on the XmString API calls

2012-06-23 12:21:07 +0300 Yuriy Syrota 

	* restoration

2012-06-23 12:19:01 +0300 Yuriy Syrota 

	* restoration

2012-06-23 12:15:12 +0300 Yuriy Syrota 

	* restoration

2012-06-23 12:04:26 +0300 Yuriy Syrota 

	* Add in some MAINTAINERCLEANFILES lines

2012-06-23 12:03:45 +0300 Yuriy Syrota 

	* Dependancy needed with --enable-message-catalog. I thought I fixed this already. Must have been in the other CVS.

2012-06-23 12:03:25 +0300 Yuriy Syrota 

	* Add the VaCreate functions

2012-06-23 12:02:49 +0300 Yuriy Syrota 

	* converted more programGuild examples to an autotools build process

2012-06-23 12:02:09 +0300 Yuriy Syrota 

	* Introduced the ch08 demos into the wonderful world of autoconf

2012-06-23 11:58:50 +0300 Yuriy Syrota 

	* added a "toDo" list in here. i copyed (and commented out) all the functions which need a Va version implimented. (i also took care of PushBG stuff). when we impliment one please move the function to the correct place and change it to reflect the Va part.

2012-06-23 11:58:08 +0300 Yuriy Syrota 

	* added some public symbols for PushB

2012-06-23 11:57:45 +0300 Yuriy Syrota 

	* Use the new XmeVa functions

2012-06-23 11:55:09 +0300 Yuriy Syrota 

	* added stdlib.h to clean up warnings about exit not being defined

2012-06-23 11:54:39 +0300 Yuriy Syrota 

	* cleaned up various compiler warnings

2012-06-23 11:49:43 +0300 Yuriy Syrota 

	* added the ch06 demos into autoconf

2012-06-23 11:48:36 +0300 Yuriy Syrota 

	* included stdlib to define "exit()"

2012-06-23 11:47:51 +0300 Yuriy Syrota 

	* Made Simple Va Convience routines for all to use. Added declarations to XmP.h and added Functions to VaSimple.c. Implimented VaCreation functions in PushB.c.

2012-06-23 11:47:08 +0300 Yuriy Syrota 

	* changed the Button creation functions to use a new XmVaCreateManagedPushButton() and XmVaCreatePushButton() as a test.

2012-06-23 11:44:43 +0300 Yuriy Syrota 

	* added functions:

2012-06-23 11:35:11 +0300 Yuriy Syrota 

	* Added a more specific "To Do" list for the new widgets added in OM v2.2

2012-06-23 11:33:48 +0300 Yuriy Syrota 

	* Since at least one person thought the XmVaCreate* functions were a good idea, and no one said they were a bad idea, I'll throw this in for comment. There appears to be about 87 XmCreate's, so I would rather have just one picked apart and scrutinized before doing all 87 of them :) If this passes the cut, I could use a little help doing the other 86.....

2012-06-23 11:33:09 +0300 Yuriy Syrota 

	* fixed this gcc warning:

2012-06-23 11:32:16 +0300 Yuriy Syrota 

	* Here is a start to the demos/doc stuff. If someone wants to run with this go for it.

2012-06-23 11:30:00 +0300 Yuriy Syrota 

	* Fixed bug# 1155

2012-06-23 11:23:00 +0300 Yuriy Syrota 

	* Having config.status in MAINTAINERCLEANFILES seems to screw up the older versions of some of the auto tools. With this a make maintainer-clean from the toplevel was failing because it would delete config.status then recurse into the subdirs. Since config.status is taken care of by a distclean, take it out of here.

2012-06-23 11:22:35 +0300 Yuriy Syrota 

	* Adding in spec files for both Mandrake and Redhat

2012-06-23 11:21:39 +0300 Yuriy Syrota 

	* From the monster patch, bug #1156.....

2012-06-23 11:19:17 +0300 Yuriy Syrota 

	* Get XmStrDefsI.h out of Ext.h - A whole wack of resources seem to have been added to the wrong   section of xmstring.list. This meant that the client resources   were getting stuck in an I.h file.

2012-06-23 11:18:03 +0300 Yuriy Syrota 

	* Having _XEditResCheckMessages in libXm seems to cause a problem if libXmu is static, so change the name in libXm. Replacing part of Xmu is necessary because VendorShell lies about the placement of it's child.

2012-06-23 11:07:53 +0300 Yuriy Syrota 

	* The SlideContext seems to be in there for good, so get rid of the conditionals.

2012-06-23 11:07:24 +0300 Yuriy Syrota 

	* fixed

2012-06-23 11:06:03 +0300 Yuriy Syrota 

	* If the tip would end up off the bottom of the screen, display it on top of the widget. If it would end up right of the screen, move it left. Of course width/height of the screen is a little ambiguous in an Xinerama environment :)

2012-06-23 11:05:02 +0300 Yuriy Syrota 

	* Move XmStrDefs.c to the front of the list of sources so that it, and the other built sources, gets made real early on.

2012-06-23 11:03:27 +0300 Yuriy Syrota 

	* Problem uncovered by openDX during widget destroys

2012-06-22 18:22:15 +0300 Yuriy Syrota 

	* CDE_INSTALLATION_TOP and CDE_CONFIGURATION_TOP were not getting subst correctly.

2012-06-22 18:21:26 +0300 Yuriy Syrota 

	* Get X_CFLAGS as the last include

2012-06-22 18:20:46 +0300 Yuriy Syrota 

	* maintainer-clean should rm all files not in CVS.

2012-06-22 18:20:07 +0300 Yuriy Syrota 

	* New auto tools are a little more verbose about questionable practices. This makes them happy. And it is the first commit message that should end up on the mailing list.

2012-06-22 18:19:42 +0300 Yuriy Syrota 

	* built sources should depend on the Makefile, not the other way around.

2012-06-22 18:14:01 +0300 Yuriy Syrota 

	* missing #endif

2012-06-22 18:12:39 +0300 Yuriy Syrota 

	* patch applied in hopes of fixing segmentation fault on PageUp/Down in XmMainWindow submitted by Vadim Godunko.

2012-06-22 17:55:17 +0300 Yuriy Syrota 

	* fixes (tag: release_2_2_2)

2012-06-22 16:52:51 +0300 Yuriy Syrota 

	* adding things that got left out

2012-06-22 16:50:25 +0300 Yuriy Syrota 

	* moved repo

2012-06-22 16:37:04 +0300 Yuriy Syrota 

	* fixed version number

2012-06-22 16:36:42 +0300 Yuriy Syrota 

	* clean up[

2012-06-22 16:34:48 +0300 Yuriy Syrota 

	* code clean up

2012-06-22 16:30:38 +0300 Yuriy Syrota 

	* updated to a new version of motif

2012-06-22 16:24:20 +0300 Yuriy Syrota 

	*  a new version of motif

2012-06-22 16:00:48 +0300 Yuriy Syrota 

	* added a lost patch

2012-06-22 15:58:53 +0300 Yuriy Syrota 

	* i fixed things

2012-06-22 15:58:35 +0300 Yuriy Syrota 

	* another typo

2012-06-22 15:58:07 +0300 Yuriy Syrota 

	* fixed a typo

2012-06-22 15:57:48 +0300 Yuriy Syrota 

	* fixed a dist problem

2012-06-22 15:57:27 +0300 Yuriy Syrota 

	* more code clean up

2012-06-22 15:52:57 +0300 Yuriy Syrota 

	* these are files which shouldnt be in CVS

2012-06-22 15:51:03 +0300 Yuriy Syrota 

	* code clean up

2012-06-22 15:15:33 +0300 Yuriy Syrota 

	* cleanups here and there

2012-06-22 15:15:10 +0300 Yuriy Syrota 

	* clean up

2012-06-22 15:14:31 +0300 Yuriy Syrota 

	* added #include<stdlib.h> for quieter compilation

2012-06-22 15:07:40 +0300 Yuriy Syrota 

	* added header file for quieter compilation

2012-06-22 15:07:17 +0300 Yuriy Syrota 

	* cleanup

2012-06-22 14:48:19 +0300 Yuriy Syrota 

	* precedence warning cleanup

2012-06-22 14:47:56 +0300 Yuriy Syrota 

	* stdlib.h addition quites warnings

2012-06-22 14:47:34 +0300 Yuriy Syrota 

	* removed warning

2012-06-22 12:09:40 +0300 Yuriy Syrota 

	* cleaned up precedence

2012-06-22 12:09:19 +0300 Yuriy Syrota 

	* cleaner

2012-06-22 12:08:57 +0300 Yuriy Syrota 

	* fixed warnings

2012-06-22 12:08:24 +0300 Yuriy Syrota 

	* fixes for install

2012-06-22 12:08:06 +0300 Yuriy Syrota 

	* add Ext18List pixmaps dir

2012-06-22 11:32:15 +0300 Yuriy Syrota 

	* Need this

2012-06-22 11:29:44 +0300 Yuriy Syrota 

	* Missed a couple Xi to Xm

2012-06-22 11:29:12 +0300 Yuriy Syrota 

	* Tons of clean ups and a dash of "Warning BeGone (TM)"

2012-06-22 11:28:26 +0300 Yuriy Syrota 

	* Update version in mwm

2012-06-22 11:27:51 +0300 Yuriy Syrota 

	* CR04070

2012-06-22 11:21:35 +0300 Yuriy Syrota 

	* moved all Xi Strings into the default motif string defintion file

2012-06-22 11:20:49 +0300 Yuriy Syrota 

	* removed bad code

2012-06-22 11:19:12 +0300 Yuriy Syrota 

	* removed errors

2012-06-22 11:18:45 +0300 Yuriy Syrota 

	* code clean up

2012-06-22 11:17:34 +0300 Yuriy Syrota 

	* fixed some warnings

2012-06-22 11:07:50 +0300 Yuriy Syrota 

	* removed this file. its not needed

2012-06-22 11:07:20 +0300 Yuriy Syrota 

	* removed Epak References, changed soem Xi's to Xm's

2012-06-22 10:55:53 +0300 Yuriy Syrota 

	* fix for mwm crashes when attempting to delete a menu item

2012-06-22 10:45:44 +0300 Yuriy Syrota 

	* More on previous log entry

2012-06-22 10:45:20 +0300 Yuriy Syrota 

	* Problem was: ImSetGeo function causes Segmentation Fault when a widget which has the last XmImXIC

2012-06-21 16:15:27 +0300 Yuriy Syrota 

	* Problem was: XmText doesn't updates scrollbars if parent is not XmScrolledWindow

2012-06-21 16:14:52 +0300 Yuriy Syrota 

	* fixed some Xi Enumeration

2012-06-21 16:14:30 +0300 Yuriy Syrota 

	* fixed up some man pages (added them to the dist list)

2012-06-21 16:14:07 +0300 Yuriy Syrota 

	* darwin patch added

2012-06-21 16:13:43 +0300 Yuriy Syrota 

	* fix

2012-06-21 16:10:47 +0300 Yuriy Syrota 

	* fix

2012-06-21 16:10:35 +0300 Yuriy Syrota 

	* fix

2012-06-21 16:10:18 +0300 Yuriy Syrota 

	* added some resources

2012-06-21 16:09:54 +0300 Yuriy Syrota 

	* Fixed Chris' messed up carage return

2012-06-21 16:09:30 +0300 Yuriy Syrota 

	* Out, out damn spot\!

2012-06-21 16:07:14 +0300 Yuriy Syrota 

	* Whoops

2012-06-21 16:07:05 +0300 Yuriy Syrota 

	* Whoops

2012-06-21 16:06:55 +0300 Yuriy Syrota 

	* whoops

2012-06-21 16:01:30 +0300 Yuriy Syrota 

	* Whoops

2012-06-21 15:59:24 +0300 Yuriy Syrota 

	* Whoops

2012-06-21 09:33:11 +0300 Yuriy Syrota 

	* whoops

2012-06-21 09:32:25 +0300 Yuriy Syrota 

	* fix

2012-06-21 09:30:32 +0300 Yuriy Syrota 

	* Massive add for darwin building

2012-06-21 09:28:09 +0300 Yuriy Syrota 

	* fix for OpenBSD and NetBSD

2012-06-21 09:27:46 +0300 Yuriy Syrota 

	* fix as per kraxel@debian.org's request

2012-06-21 09:23:34 +0300 Yuriy Syrota 

	* fix  to be after local includes

2012-06-21 09:22:56 +0300 Yuriy Syrota 

	* fix

2012-06-21 09:22:28 +0300 Yuriy Syrota 

	* Added XmNallowUnusedSpace

2012-06-21 09:22:00 +0300 Yuriy Syrota 

	* Added XmNallowUnusedSpace

2012-06-21 09:20:42 +0300 Yuriy Syrota 

	* Added XmNallowUnusedSpace

2012-06-21 09:08:56 +0300 Yuriy Syrota 

	* fixed version problems. there is no need to check what version ofmotif we have, its always the same (the current one )

2012-06-21 09:07:05 +0300 Yuriy Syrota 

	* use libtool versioning

2012-06-21 09:06:38 +0300 Yuriy Syrota 

	* fixed the version, and fixed warnings.

2012-06-21 09:06:12 +0300 Yuriy Syrota 

	* removed an Epak Reference.

2012-06-21 09:05:20 +0300 Yuriy Syrota 

	* fixed more warnings

2012-06-20 21:27:57 +0300 Yuriy Syrota 

	* changed to the next .. version

2012-06-20 21:26:24 +0300 Yuriy Syrota 

	* fixed reverse reptype converter

2012-06-20 21:24:34 +0300 Yuriy Syrota 

	* fixed much of editres

2012-06-20 21:23:03 +0300 Yuriy Syrota 

	* removed many warnings

2012-06-20 20:44:14 +0300 Yuriy Syrota 

	* applied a couple of lost patches

2012-06-19 12:08:10 +0300 Yuriy Syrota 

	* fixed some Imake things (yuck)

2012-06-19 12:04:11 +0300 Yuriy Syrota 

	* added some stuff needed by Imake (Blah...)

2012-06-19 12:03:00 +0300 Yuriy Syrota 

	* changed order around to emphasise configure

2012-06-19 11:59:36 +0300 Yuriy Syrota 

	* added Imakefiles to the distro

2012-06-19 11:55:27 +0300 Yuriy Syrota 

	* referenced the rel notes

2012-06-19 11:54:04 +0300 Yuriy Syrota 

	* done need this file in here

2012-06-19 11:51:17 +0300 Yuriy Syrota 

	* minor fixes

2012-06-19 11:50:44 +0300 Yuriy Syrota 

	* added this file

2012-06-19 11:47:01 +0300 Yuriy Syrota 

	* meh

2012-06-19 11:46:33 +0300 Yuriy Syrota 

	* fix

2012-06-19 11:46:08 +0300 Yuriy Syrota 

	* fixed some automake stuff

2012-06-19 11:28:56 +0300 Yuriy Syrota 

	* took out tab

2012-06-19 11:27:06 +0300 Yuriy Syrota 

	* took out bad char

2012-06-19 11:25:39 +0300 Yuriy Syrota 

	* moved the new widget directory

2012-06-19 11:19:54 +0300 Yuriy Syrota 

	* tweak

2012-06-19 11:19:23 +0300 Yuriy Syrota 

	* removed unneeded files

2012-06-19 11:16:54 +0300 Yuriy Syrota 

	* fix

2012-06-19 11:15:47 +0300 Yuriy Syrota 

	* Initial add

2012-06-19 11:14:14 +0300 Yuriy Syrota 

	* add this

2012-06-19 11:10:58 +0300 Yuriy Syrota 

	* Gonna need these

2012-06-19 11:10:18 +0300 Yuriy Syrota 

	* moved widget demos

2012-06-19 10:51:39 +0300 Yuriy Syrota 

	* fixed a extra backslash

2012-06-19 10:49:10 +0300 Yuriy Syrota 

	* moved the newwidget directory

2012-06-19 10:46:59 +0300 Yuriy Syrota 

	* removed the binary

2012-06-19 10:44:20 +0300 Yuriy Syrota 

	* moved newwidgets directory

2012-06-19 10:27:15 +0300 Yuriy Syrota 

	* moved files from new widgets

2012-06-19 10:20:59 +0300 Yuriy Syrota 

	* fixed in an unsupported sort of way

2012-06-19 10:19:20 +0300 Yuriy Syrota 

	* fixed problem with Slid and ToolTip with to many include config.h statements

2012-06-19 10:18:05 +0300 Yuriy Syrota 

	* fixed

2012-06-19 10:16:51 +0300 Yuriy Syrota 

	* added more spaces

2012-06-19 10:15:39 +0300 Yuriy Syrota 

	* moved demo programs installed formerly into bin are now installed into share/Xm/demoname/

2012-06-19 09:41:26 +0300 Yuriy Syrota 

	* some changes about what we recomend

2012-06-19 09:40:29 +0300 Yuriy Syrota 

	* KEEP the flags which make this work\!

2012-06-19 09:39:14 +0300 Yuriy Syrota 

	* changed the version on the dist tar ball

2012-06-19 09:38:30 +0300 Yuriy Syrota 

	* fixed version

2012-06-18 22:41:00 +0300 Yuriy Syrota 

	* FINALLY GOT THE DAMN VERSION NUM RIGHT only took 1 beer!

2012-06-18 22:39:54 +0300 Yuriy Syrota 

	* enable static builds

2012-06-18 22:39:20 +0300 Yuriy Syrota 

	* Removed wrong comment

2012-06-18 22:38:36 +0300 Yuriy Syrota 

	* libtool

2012-06-18 22:37:56 +0300 Yuriy Syrota 

	* remove

2012-06-18 22:36:38 +0300 Yuriy Syrota 

	* Use this to gen Makefile and configure

2012-06-18 22:35:37 +0300 Yuriy Syrota 

	* tada

2012-06-18 22:34:49 +0300 Yuriy Syrota 

	* getting

2012-06-18 22:34:04 +0300 Yuriy Syrota 

	* is

2012-06-18 22:33:24 +0300 Yuriy Syrota 

	* this

2012-06-18 22:30:49 +0300 Yuriy Syrota 

	* fix

2012-06-18 22:29:07 +0300 Yuriy Syrota 

	* XmColumn widget man page

2012-06-18 22:28:12 +0300 Yuriy Syrota 

	* XmDataField widget man page

2012-06-18 22:27:23 +0300 Yuriy Syrota 

	* added jeffs files into the Makefile.am

2012-06-18 22:25:33 +0300 Yuriy Syrota 

	* some fix

2012-06-18 22:21:42 +0300 Yuriy Syrota 

	* XmButtonBox widget man page

2012-06-18 22:20:45 +0300 Yuriy Syrota 

	* XmColorSelector widget man page

2012-06-18 22:19:48 +0300 Yuriy Syrota 

	* XmExt18List.3 widget man page

2012-06-18 22:18:52 +0300 Yuriy Syrota 

	* XmFontSelector widget man page

2012-06-18 22:17:15 +0300 Yuriy Syrota 

	* XmIconBox widget man page

2012-06-18 22:13:26 +0300 Yuriy Syrota 

	* XmIconButton widget man page

2012-06-18 22:11:43 +0300 Yuriy Syrota 

	* Fixed a couple spurious Xi's that I missed the first time

2012-06-18 22:09:47 +0300 Yuriy Syrota 

	* XmTabStack widget man page

2012-06-18 22:08:15 +0300 Yuriy Syrota 

	* XmTree widget man page

2012-06-18 22:06:21 +0300 Yuriy Syrota 

	* added some Xconfig stuff

2012-06-18 22:05:11 +0300 Yuriy Syrota 

	* added some X11 include stuff

2012-06-18 22:03:19 +0300 Yuriy Syrota 

	* added some X11Header Includes

2012-06-18 21:56:10 +0300 Yuriy Syrota 

	* added default X11 Includes

2012-06-18 21:54:48 +0300 Yuriy Syrota 

	* replaced some Xi's with Xm

2012-06-18 21:50:45 +0300 Yuriy Syrota 

	* changed more Xi's to Xm's

2012-06-18 21:46:33 +0300 Yuriy Syrota 

	* changed some Xi's to Xm's

2012-06-18 21:45:40 +0300 Yuriy Syrota 

	* added a directory

2012-06-18 21:44:55 +0300 Yuriy Syrota 

	* took out tool tips

2012-06-18 21:44:05 +0300 Yuriy Syrota 

	* added default Xflags

2012-06-18 21:43:25 +0300 Yuriy Syrota 

	* added the ht files for auto generation

2012-06-18 21:42:22 +0300 Yuriy Syrota 

	* fixed some Xi's to Xm

2012-06-18 21:41:35 +0300 Yuriy Syrota 

	* added the lines from readme.ics

2012-06-18 21:39:43 +0300 Yuriy Syrota 

	* moved include line around to put X11 config settings first

2012-06-18 21:38:59 +0300 Yuriy Syrota 

	* fixed version string

2012-06-18 21:37:46 +0300 Yuriy Syrota 

	* stuyff

2012-06-18 18:26:55 +0300 Yuriy Syrota 

	* stuff

2012-06-18 18:25:29 +0300 Yuriy Syrota 

	* added X11 stuff

2012-06-18 18:24:57 +0300 Yuriy Syrota 

	* added X11 includes

2012-06-18 18:24:16 +0300 Yuriy Syrota 

	* some change

2012-06-18 18:23:32 +0300 Yuriy Syrota 

	* removed the toolbar demo

2012-06-18 18:22:56 +0300 Yuriy Syrota 

	* changed Xi to Xm

2012-06-18 18:17:03 +0300 Yuriy Syrota 

	* fixed a problem with XmCreate

2012-06-18 18:12:17 +0300 Yuriy Syrota 

	* 1) removed unsupported demos

2012-06-18 18:10:37 +0300 Yuriy Syrota 

	* made some clean ups and talked about getting the master Imakefile

2012-06-18 18:08:03 +0300 Yuriy Syrota 

	* emoved this file on POURPOSE (SP??) read INSTALL.imake

2012-06-18 17:49:37 +0300 Yuriy Syrota 

	* cleaned up the build directions

2012-06-16 22:05:45 +0300 Yuriy Syrota 

	* demo updates to autoconf

2012-06-16 22:04:54 +0300 Yuriy Syrota 

	* moved the tooltips demo to programs

2012-06-16 22:04:13 +0300 Yuriy Syrota 

	* moved the tooltips demo

2012-06-16 22:03:18 +0300 Yuriy Syrota 

	* moved these demos

2012-06-16 22:00:44 +0300 Yuriy Syrota 

	* moved tooltips into supported world

2012-06-16 21:59:17 +0300 Yuriy Syrota 

	* these files are automaticly generated

2012-06-16 21:56:31 +0300 Yuriy Syrota 

	* added a few new files and fixed problems with symbols

2012-06-16 21:55:33 +0300 Yuriy Syrota 

	* typo

2012-06-16 21:41:18 +0300 Yuriy Syrota 

	* Extra files for the v2.2 widget additions

2012-06-16 21:38:02 +0300 Yuriy Syrota 

	* Adding ComboBox2.c ComboBox2.h ComboBox2P.h needed for FontS widget

2012-06-16 21:35:35 +0300 Yuriy Syrota 

	* Initial source drop of new Motif v2.2 widgets.

2012-06-16 21:33:11 +0300 Yuriy Syrota 

	* Tweaked files to get rid of undefined external references from old Xi var names.

2012-06-16 17:54:34 +0300 Yuriy Syrota 

	* Tweaked files to get rid of undefined external references from old Xi var names.

2012-06-16 17:46:18 +0300 Yuriy Syrota 

	* modification for Darwin Port

2012-06-16 17:37:42 +0300 Yuriy Syrota 

	* fixed header info

2012-06-16 17:36:33 +0300 Yuriy Syrota 

	* changed the version and what gets packaged in the make dist

2012-06-16 17:34:33 +0300 Yuriy Syrota 

	* Put tooltip resources into alpha order

2012-06-16 17:32:19 +0300 Yuriy Syrota 

	* addded a directory

2012-06-16 17:24:35 +0300 Yuriy Syrota 

	* added some demo directories

2012-06-16 17:11:51 +0300 Yuriy Syrota 

	* changed the widgetclass to Xm from Xi

2012-06-16 17:05:00 +0300 Yuriy Syrota 

	* Fixed typos, moved tooltip resources into alphabetical order

2012-06-16 17:03:29 +0300 Yuriy Syrota 

	* updated the RELNOTES with correct version

2012-06-16 16:57:34 +0300 Yuriy Syrota 

	* added some bits about autoconf

2012-06-16 16:53:46 +0300 Yuriy Syrota 

	* added the config.h so that the thing with build correctly.

2012-06-16 13:20:30 +0300 Yuriy Syrota 

	* reverted the Imake Makefile, dont ever check in the autoconf Makefile

2012-06-16 13:06:54 +0300 Yuriy Syrota 

	* checking in the AutoConf Stuff. to Make the config File you must run CVSMake

2012-06-16 12:37:58 +0300 Yuriy Syrota 

	* Changed to reflect that we are workin on v2.2

2012-06-04 18:11:27 +0300 Yuriy Syrota 

	* added tool tip resources to the apropreate shells

2012-06-04 17:55:51 +0300 Yuriy Syrota 

	* added tool tips to selected widgets

2012-06-04 17:41:53 +0300 Yuriy Syrota 

	* added sliding menues

2012-06-04 15:22:29 +0300 Yuriy Syrota 

	* tool tips documentation

2012-05-24 14:56:25 +0300 Yuriy Syrota 

	* Added tool tips. there is a demo on how to use them in demos/unsupported/tooltips. This work was done by Rick Scott.

2012-05-23 18:38:18 +0300 Yuriy Syrota 

	* I resolved an unresolved symbole in FontS.c which depended on XmCombinationBoxGetValue, that convience function didnt exist on an XmComboBox. i added the convience function. this needs to be tested more. O also added a comment to test it in the readme.mod file.

2012-05-22 15:21:05 +0300 Yuriy Syrota 

	* Added the file I18List.c to resolve symbols in Ext18list.c

2012-05-22 14:49:04 +0300 Yuriy Syrota 

	* Added XmALIGNMENT_UNSPECIFIED in Xm.h

2012-05-22 14:31:54 +0300 Yuriy Syrota 

	* the new Motif Version

2012-05-21 12:02:34 +0300 Yuriy Syrota 

	* Adding files formerly know as Xi

2012-05-11 17:33:33 +0300 Yuriy Syrota 

	* Pulled in the sources from OpenMotif 2.1.30_5 (tag: release_2_1_30_5)

2012-04-20 18:55:18 +0300 Yuriy Syrota 

	* Initial commit (tag: release_2_1_30)

